#define PERL_constant_NOTFOUND	1
#define PERL_constant_NOTDEF	2
#define PERL_constant_ISIV	3
#define PERL_constant_ISNO	4
#define PERL_constant_ISNV	5
#define PERL_constant_ISPV	6
#define PERL_constant_ISPVN	7
#define PERL_constant_ISSV	8
#define PERL_constant_ISUNDEF	9
#define PERL_constant_ISUV	10
#define PERL_constant_ISYES	11

#ifndef NVTYPE
typedef double NV; /* 5.6 and later define NVTYPE, and typedef NV to it.  */
#endif
#ifndef aTHX_
#define aTHX_ /* 5.6 or later define this for threading support.  */
#endif
#ifndef pTHX_
#define pTHX_ /* 5.6 or later define this for threading support.  */
#endif

static int
constant_4 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_Q GL_R GL_S GL_T */
  /* Offset 3 gives the best switch position.  */
  switch (name[3]) {
  case 'Q':
    if (memEQ(name, "GL_", 3)) {
    /*                  Q     */
#ifdef GL_Q
      *iv_return = GL_Q;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_", 3)) {
    /*                  R     */
#ifdef GL_R
      *iv_return = GL_R;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_", 3)) {
    /*                  S     */
#ifdef GL_S
      *iv_return = GL_S;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_", 3)) {
    /*                  T     */
#ifdef GL_T
      *iv_return = GL_T;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_6 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_CCW GL_EXP GL_FOG GL_INT GL_ONE GL_RED GL_RGB */
  /* Offset 5 gives the best switch position.  */
  switch (name[5]) {
  case 'B':
    if (memEQ(name, "GL_RG", 5)) {
    /*                    B     */
#ifdef GL_RGB
      *iv_return = GL_RGB;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_RE", 5)) {
    /*                    D     */
#ifdef GL_RED
      *iv_return = GL_RED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_ON", 5)) {
    /*                    E     */
#ifdef GL_ONE
      *iv_return = GL_ONE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_FO", 5)) {
    /*                    G     */
#ifdef GL_FOG
      *iv_return = GL_FOG;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_EX", 5)) {
    /*                    P     */
#ifdef GL_EXP
      *iv_return = GL_EXP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_IN", 5)) {
    /*                    T     */
#ifdef GL_INT
      *iv_return = GL_INT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "GL_CC", 5)) {
    /*                    W     */
#ifdef GL_CCW
      *iv_return = GL_CCW;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_7 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_AUX0 GL_AUX1 GL_AUX2 GL_AUX3 GL_BACK GL_BLUE GL_BYTE GL_EXP2 GL_FILL
     GL_FLAT GL_LEFT GL_LESS GL_LINE GL_NONE GL_RGB4 GL_RGB5 GL_RGB8 GL_RGBA
     GL_TRUE GL_ZERO */
  /* Offset 6 gives the best switch position.  */
  switch (name[6]) {
  case '0':
    if (memEQ(name, "GL_AUX", 6)) {
    /*                     0     */
#ifdef GL_AUX0
      *iv_return = GL_AUX0;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '1':
    if (memEQ(name, "GL_AUX", 6)) {
    /*                     1     */
#ifdef GL_AUX1
      *iv_return = GL_AUX1;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '2':
    if (memEQ(name, "GL_AUX", 6)) {
    /*                     2     */
#ifdef GL_AUX2
      *iv_return = GL_AUX2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_EXP", 6)) {
    /*                     2     */
#ifdef GL_EXP2
      *iv_return = GL_EXP2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '3':
    if (memEQ(name, "GL_AUX", 6)) {
    /*                     3     */
#ifdef GL_AUX3
      *iv_return = GL_AUX3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '4':
    if (memEQ(name, "GL_RGB", 6)) {
    /*                     4     */
#ifdef GL_RGB4
      *iv_return = GL_RGB4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '5':
    if (memEQ(name, "GL_RGB", 6)) {
    /*                     5     */
#ifdef GL_RGB5
      *iv_return = GL_RGB5;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '8':
    if (memEQ(name, "GL_RGB", 6)) {
    /*                     8     */
#ifdef GL_RGB8
      *iv_return = GL_RGB8;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'A':
    if (memEQ(name, "GL_RGB", 6)) {
    /*                     A     */
#ifdef GL_RGBA
      *iv_return = GL_RGBA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_BLU", 6)) {
    /*                     E     */
#ifdef GL_BLUE
      *iv_return = GL_BLUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_BYT", 6)) {
    /*                     E     */
#ifdef GL_BYTE
      *iv_return = GL_BYTE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LIN", 6)) {
    /*                     E     */
#ifdef GL_LINE
      *iv_return = GL_LINE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_NON", 6)) {
    /*                     E     */
#ifdef GL_NONE
      *iv_return = GL_NONE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TRU", 6)) {
    /*                     E     */
#ifdef GL_TRUE
      *iv_return = GL_TRUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'K':
    if (memEQ(name, "GL_BAC", 6)) {
    /*                     K     */
#ifdef GL_BACK
      *iv_return = GL_BACK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_FIL", 6)) {
    /*                     L     */
#ifdef GL_FILL
      *iv_return = GL_FILL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_ZER", 6)) {
    /*                     O     */
#ifdef GL_ZERO
      *iv_return = GL_ZERO;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_LES", 6)) {
    /*                     S     */
#ifdef GL_LESS
      *iv_return = GL_LESS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_FLA", 6)) {
    /*                     T     */
#ifdef GL_FLAT
      *iv_return = GL_FLAT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LEF", 6)) {
    /*                     T     */
#ifdef GL_LEFT
      *iv_return = GL_LEFT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_8 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ALPHA GL_BLEND GL_CLAMP GL_DECAL GL_EQUAL GL_FALSE GL_FLOAT GL_FRONT
     GL_GREEN GL_LINES GL_NEVER GL_POINT GL_QUADS GL_RGB10 GL_RGB12 GL_RGB16
     GL_RGBA2 GL_RGBA4 GL_RGBA8 GL_RIGHT GL_SHORT */
  /* Offset 7 gives the best switch position.  */
  switch (name[7]) {
  case '0':
    if (memEQ(name, "GL_RGB1", 7)) {
    /*                      0     */
#ifdef GL_RGB10
      *iv_return = GL_RGB10;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '2':
    if (memEQ(name, "GL_RGB1", 7)) {
    /*                      2     */
#ifdef GL_RGB12
      *iv_return = GL_RGB12;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RGBA", 7)) {
    /*                      2     */
#ifdef GL_RGBA2
      *iv_return = GL_RGBA2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '4':
    if (memEQ(name, "GL_RGBA", 7)) {
    /*                      4     */
#ifdef GL_RGBA4
      *iv_return = GL_RGBA4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '6':
    if (memEQ(name, "GL_RGB1", 7)) {
    /*                      6     */
#ifdef GL_RGB16
      *iv_return = GL_RGB16;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '8':
    if (memEQ(name, "GL_RGBA", 7)) {
    /*                      8     */
#ifdef GL_RGBA8
      *iv_return = GL_RGBA8;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'A':
    if (memEQ(name, "GL_ALPH", 7)) {
    /*                      A     */
#ifdef GL_ALPHA
      *iv_return = GL_ALPHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_BLEN", 7)) {
    /*                      D     */
#ifdef GL_BLEND
      *iv_return = GL_BLEND;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_FALS", 7)) {
    /*                      E     */
#ifdef GL_FALSE
      *iv_return = GL_FALSE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_DECA", 7)) {
    /*                      L     */
#ifdef GL_DECAL
      *iv_return = GL_DECAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_EQUA", 7)) {
    /*                      L     */
#ifdef GL_EQUAL
      *iv_return = GL_EQUAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_GREE", 7)) {
    /*                      N     */
#ifdef GL_GREEN
      *iv_return = GL_GREEN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_CLAM", 7)) {
    /*                      P     */
#ifdef GL_CLAMP
      *iv_return = GL_CLAMP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_NEVE", 7)) {
    /*                      R     */
#ifdef GL_NEVER
      *iv_return = GL_NEVER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_LINE", 7)) {
    /*                      S     */
#ifdef GL_LINES
      *iv_return = GL_LINES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_QUAD", 7)) {
    /*                      S     */
#ifdef GL_QUADS
      *iv_return = GL_QUADS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_FLOA", 7)) {
    /*                      T     */
#ifdef GL_FLOAT
      *iv_return = GL_FLOAT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_FRON", 7)) {
    /*                      T     */
#ifdef GL_FRONT
      *iv_return = GL_FRONT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POIN", 7)) {
    /*                      T     */
#ifdef GL_POINT
      *iv_return = GL_POINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RIGH", 7)) {
    /*                      T     */
#ifdef GL_RIGHT
      *iv_return = GL_RIGHT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SHOR", 7)) {
    /*                      T     */
#ifdef GL_SHORT
      *iv_return = GL_SHORT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_9 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ALPHA4 GL_ALPHA8 GL_ALWAYS GL_BITMAP GL_DITHER GL_GEQUAL GL_LEQUAL
     GL_LIGHT0 GL_LIGHT1 GL_LIGHT2 GL_LIGHT3 GL_LIGHT4 GL_LIGHT5 GL_LIGHT6
     GL_LIGHT7 GL_LINEAR GL_NICEST GL_POINTS GL_REPEAT GL_RGBA12 GL_RGBA16
     GL_SMOOTH GL_STEREO GL_VENDOR GL_ZOOM_X GL_ZOOM_Y */
  /* Offset 8 gives the best switch position.  */
  switch (name[8]) {
  case '0':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       0     */
#ifdef GL_LIGHT0
      *iv_return = GL_LIGHT0;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '1':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       1     */
#ifdef GL_LIGHT1
      *iv_return = GL_LIGHT1;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '2':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       2     */
#ifdef GL_LIGHT2
      *iv_return = GL_LIGHT2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RGBA1", 8)) {
    /*                       2     */
#ifdef GL_RGBA12
      *iv_return = GL_RGBA12;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '3':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       3     */
#ifdef GL_LIGHT3
      *iv_return = GL_LIGHT3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '4':
    if (memEQ(name, "GL_ALPHA", 8)) {
    /*                       4     */
#ifdef GL_ALPHA4
      *iv_return = GL_ALPHA4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       4     */
#ifdef GL_LIGHT4
      *iv_return = GL_LIGHT4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '5':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       5     */
#ifdef GL_LIGHT5
      *iv_return = GL_LIGHT5;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '6':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       6     */
#ifdef GL_LIGHT6
      *iv_return = GL_LIGHT6;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RGBA1", 8)) {
    /*                       6     */
#ifdef GL_RGBA16
      *iv_return = GL_RGBA16;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '7':
    if (memEQ(name, "GL_LIGHT", 8)) {
    /*                       7     */
#ifdef GL_LIGHT7
      *iv_return = GL_LIGHT7;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '8':
    if (memEQ(name, "GL_ALPHA", 8)) {
    /*                       8     */
#ifdef GL_ALPHA8
      *iv_return = GL_ALPHA8;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_SMOOT", 8)) {
    /*                       H     */
#ifdef GL_SMOOTH
      *iv_return = GL_SMOOTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_GEQUA", 8)) {
    /*                       L     */
#ifdef GL_GEQUAL
      *iv_return = GL_GEQUAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LEQUA", 8)) {
    /*                       L     */
#ifdef GL_LEQUAL
      *iv_return = GL_LEQUAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_STERE", 8)) {
    /*                       O     */
#ifdef GL_STEREO
      *iv_return = GL_STEREO;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_BITMA", 8)) {
    /*                       P     */
#ifdef GL_BITMAP
      *iv_return = GL_BITMAP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_DITHE", 8)) {
    /*                       R     */
#ifdef GL_DITHER
      *iv_return = GL_DITHER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LINEA", 8)) {
    /*                       R     */
#ifdef GL_LINEAR
      *iv_return = GL_LINEAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_VENDO", 8)) {
    /*                       R     */
#ifdef GL_VENDOR
      *iv_return = GL_VENDOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_ALWAY", 8)) {
    /*                       S     */
#ifdef GL_ALWAYS
      *iv_return = GL_ALWAYS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POINT", 8)) {
    /*                       S     */
#ifdef GL_POINTS
      *iv_return = GL_POINTS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_NICES", 8)) {
    /*                       T     */
#ifdef GL_NICEST
      *iv_return = GL_NICEST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_REPEA", 8)) {
    /*                       T     */
#ifdef GL_REPEAT
      *iv_return = GL_REPEAT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'X':
    if (memEQ(name, "GL_ZOOM_", 8)) {
    /*                       X     */
#ifdef GL_ZOOM_X
      *iv_return = GL_ZOOM_X;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Y':
    if (memEQ(name, "GL_ZOOM_", 8)) {
    /*                       Y     */
#ifdef GL_ZOOM_Y
      *iv_return = GL_ZOOM_Y;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_10 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ALPHA12 GL_ALPHA16 GL_AMBIENT GL_COMPILE GL_DIFFUSE GL_FASTEST
     GL_FOG_END GL_GREATER GL_NEAREST GL_POLYGON GL_REPLACE GL_RGB5_A1
     GL_TEXTURE GL_VERSION */
  /* Offset 6 gives the best switch position.  */
  switch (name[6]) {
  case '5':
    if (memEQ(name, "GL_RGB5_A1", 10)) {
    /*                     ^          */
#ifdef GL_RGB5_A1
      *iv_return = GL_RGB5_A1;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'A':
    if (memEQ(name, "GL_GREATER", 10)) {
    /*                     ^          */
#ifdef GL_GREATER
      *iv_return = GL_GREATER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "GL_DIFFUSE", 10)) {
    /*                     ^          */
#ifdef GL_DIFFUSE
      *iv_return = GL_DIFFUSE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_ALPHA12", 10)) {
    /*                     ^          */
#ifdef GL_ALPHA12
      *iv_return = GL_ALPHA12;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_ALPHA16", 10)) {
    /*                     ^          */
#ifdef GL_ALPHA16
      *iv_return = GL_ALPHA16;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_AMBIENT", 10)) {
    /*                     ^          */
#ifdef GL_AMBIENT
      *iv_return = GL_AMBIENT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_REPLACE", 10)) {
    /*                     ^          */
#ifdef GL_REPLACE
      *iv_return = GL_REPLACE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_COMPILE", 10)) {
    /*                     ^          */
#ifdef GL_COMPILE
      *iv_return = GL_COMPILE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_NEAREST", 10)) {
    /*                     ^          */
#ifdef GL_NEAREST
      *iv_return = GL_NEAREST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_VERSION", 10)) {
    /*                     ^          */
#ifdef GL_VERSION
      *iv_return = GL_VERSION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_FASTEST", 10)) {
    /*                     ^          */
#ifdef GL_FASTEST
      *iv_return = GL_FASTEST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE", 10)) {
    /*                     ^          */
#ifdef GL_TEXTURE
      *iv_return = GL_TEXTURE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Y':
    if (memEQ(name, "GL_POLYGON", 10)) {
    /*                     ^          */
#ifdef GL_POLYGON
      *iv_return = GL_POLYGON;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_FOG_END", 10)) {
    /*                     ^          */
#ifdef GL_FOG_END
      *iv_return = GL_FOG_END;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_11 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_FOG_HINT GL_FOG_MODE GL_LIGHTING GL_MODULATE GL_NOTEQUAL GL_POSITION
     GL_R3_G3_B2 GL_RED_BIAS GL_RED_BITS GL_RENDERER GL_RGB10_A2 GL_SPECULAR
     GL_VIEWPORT */
  /* Offset 7 gives the best switch position.  */
  switch (name[7]) {
  case '0':
    if (memEQ(name, "GL_RGB10_A2", 11)) {
    /*                      ^          */
#ifdef GL_RGB10_A2
      *iv_return = GL_RGB10_A2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '3':
    if (memEQ(name, "GL_R3_G3_B2", 11)) {
    /*                      ^          */
#ifdef GL_R3_G3_B2
      *iv_return = GL_R3_G3_B2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'B':
    if (memEQ(name, "GL_RED_BIAS", 11)) {
    /*                      ^          */
#ifdef GL_RED_BIAS
      *iv_return = GL_RED_BIAS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RED_BITS", 11)) {
    /*                      ^          */
#ifdef GL_RED_BITS
      *iv_return = GL_RED_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_RENDERER", 11)) {
    /*                      ^          */
#ifdef GL_RENDERER
      *iv_return = GL_RENDERER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_FOG_HINT", 11)) {
    /*                      ^          */
#ifdef GL_FOG_HINT
      *iv_return = GL_FOG_HINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_MODULATE", 11)) {
    /*                      ^          */
#ifdef GL_MODULATE
      *iv_return = GL_MODULATE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "GL_FOG_MODE", 11)) {
    /*                      ^          */
#ifdef GL_FOG_MODE
      *iv_return = GL_FOG_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_VIEWPORT", 11)) {
    /*                      ^          */
#ifdef GL_VIEWPORT
      *iv_return = GL_VIEWPORT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Q':
    if (memEQ(name, "GL_NOTEQUAL", 11)) {
    /*                      ^          */
#ifdef GL_NOTEQUAL
      *iv_return = GL_NOTEQUAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_LIGHTING", 11)) {
    /*                      ^          */
#ifdef GL_LIGHTING
      *iv_return = GL_LIGHTING;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POSITION", 11)) {
    /*                      ^          */
#ifdef GL_POSITION
      *iv_return = GL_POSITION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_SPECULAR", 11)) {
    /*                      ^          */
#ifdef GL_SPECULAR
      *iv_return = GL_SPECULAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_12 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_BACK_LEFT GL_BLEND_DST GL_BLEND_SRC GL_BLUE_BIAS GL_BLUE_BITS
     GL_CULL_FACE GL_DONT_CARE GL_DST_ALPHA GL_DST_COLOR GL_EDGE_FLAG
     GL_FOG_COLOR GL_FOG_INDEX GL_FOG_START GL_INTENSITY GL_LINE_LOOP
     GL_LIST_BASE GL_LIST_MODE GL_LUMINANCE GL_MAP_COLOR GL_MODELVIEW
     GL_NORMALIZE GL_RED_SCALE GL_RGBA_MODE GL_SRC_ALPHA GL_SRC_COLOR
     GL_TRIANGLES */
  /* Offset 5 gives the best switch position.  */
  switch (name[5]) {
  case 'B':
    if (memEQ(name, "GL_RGBA_MODE", 12)) {
    /*                    ^             */
#ifdef GL_RGBA_MODE
      *iv_return = GL_RGBA_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "GL_BACK_LEFT", 12)) {
    /*                    ^             */
#ifdef GL_BACK_LEFT
      *iv_return = GL_BACK_LEFT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SRC_ALPHA", 12)) {
    /*                    ^             */
#ifdef GL_SRC_ALPHA
      *iv_return = GL_SRC_ALPHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SRC_COLOR", 12)) {
    /*                    ^             */
#ifdef GL_SRC_COLOR
      *iv_return = GL_SRC_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_MODELVIEW", 12)) {
    /*                    ^             */
#ifdef GL_MODELVIEW
      *iv_return = GL_MODELVIEW;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RED_SCALE", 12)) {
    /*                    ^             */
#ifdef GL_RED_SCALE
      *iv_return = GL_RED_SCALE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_BLEND_DST", 12)) {
    /*                    ^             */
#ifdef GL_BLEND_DST
      *iv_return = GL_BLEND_DST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_BLEND_SRC", 12)) {
    /*                    ^             */
#ifdef GL_BLEND_SRC
      *iv_return = GL_BLEND_SRC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_EDGE_FLAG", 12)) {
    /*                    ^             */
#ifdef GL_EDGE_FLAG
      *iv_return = GL_EDGE_FLAG;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_FOG_COLOR", 12)) {
    /*                    ^             */
#ifdef GL_FOG_COLOR
      *iv_return = GL_FOG_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_FOG_INDEX", 12)) {
    /*                    ^             */
#ifdef GL_FOG_INDEX
      *iv_return = GL_FOG_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_FOG_START", 12)) {
    /*                    ^             */
#ifdef GL_FOG_START
      *iv_return = GL_FOG_START;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_TRIANGLES", 12)) {
    /*                    ^             */
#ifdef GL_TRIANGLES
      *iv_return = GL_TRIANGLES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_CULL_FACE", 12)) {
    /*                    ^             */
#ifdef GL_CULL_FACE
      *iv_return = GL_CULL_FACE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "GL_LUMINANCE", 12)) {
    /*                    ^             */
#ifdef GL_LUMINANCE
      *iv_return = GL_LUMINANCE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_DONT_CARE", 12)) {
    /*                    ^             */
#ifdef GL_DONT_CARE
      *iv_return = GL_DONT_CARE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LINE_LOOP", 12)) {
    /*                    ^             */
#ifdef GL_LINE_LOOP
      *iv_return = GL_LINE_LOOP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_MAP_COLOR", 12)) {
    /*                    ^             */
#ifdef GL_MAP_COLOR
      *iv_return = GL_MAP_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_NORMALIZE", 12)) {
    /*                    ^             */
#ifdef GL_NORMALIZE
      *iv_return = GL_NORMALIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_LIST_BASE", 12)) {
    /*                    ^             */
#ifdef GL_LIST_BASE
      *iv_return = GL_LIST_BASE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LIST_MODE", 12)) {
    /*                    ^             */
#ifdef GL_LIST_MODE
      *iv_return = GL_LIST_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_DST_ALPHA", 12)) {
    /*                    ^             */
#ifdef GL_DST_ALPHA
      *iv_return = GL_DST_ALPHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DST_COLOR", 12)) {
    /*                    ^             */
#ifdef GL_DST_COLOR
      *iv_return = GL_DST_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INTENSITY", 12)) {
    /*                    ^             */
#ifdef GL_INTENSITY
      *iv_return = GL_INTENSITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_BLUE_BIAS", 12)) {
    /*                    ^             */
#ifdef GL_BLUE_BIAS
      *iv_return = GL_BLUE_BIAS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_BLUE_BITS", 12)) {
    /*                    ^             */
#ifdef GL_BLUE_BITS
      *iv_return = GL_BLUE_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_13 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ALPHA_BIAS GL_ALPHA_BITS GL_ALPHA_TEST GL_BACK_RIGHT GL_BLUE_SCALE
     GL_DEPTH_BIAS GL_DEPTH_BITS GL_DEPTH_FUNC GL_DEPTH_TEST GL_EXTENSIONS
     GL_EYE_LINEAR GL_FRONT_FACE GL_FRONT_LEFT GL_GREEN_BIAS GL_GREEN_BITS
     GL_INDEX_BITS GL_INDEX_MODE GL_INTENSITY4 GL_INTENSITY8 GL_LINE_STRIP
     GL_LINE_WIDTH GL_LIST_INDEX GL_LUMINANCE4 GL_LUMINANCE8 GL_MAP1_INDEX
     GL_MAP2_INDEX GL_MAX_LIGHTS GL_POINT_SIZE GL_PROJECTION GL_QUAD_STRIP
     GL_SPHERE_MAP GL_TEXTURE_1D GL_TEXTURE_2D GL_TEXTURE_3D */
  /* Offset 11 gives the best switch position.  */
  switch (name[11]) {
  case '1':
    if (memEQ(name, "GL_TEXTURE_1D", 13)) {
    /*                          ^        */
#ifdef GL_TEXTURE_1D
      *iv_return = GL_TEXTURE_1D;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '2':
    if (memEQ(name, "GL_TEXTURE_2D", 13)) {
    /*                          ^        */
#ifdef GL_TEXTURE_2D
      *iv_return = GL_TEXTURE_2D;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '3':
    if (memEQ(name, "GL_TEXTURE_3D", 13)) {
    /*                          ^        */
#ifdef GL_TEXTURE_3D
      *iv_return = GL_TEXTURE_3D;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'A':
    if (memEQ(name, "GL_ALPHA_BIAS", 13)) {
    /*                          ^        */
#ifdef GL_ALPHA_BIAS
      *iv_return = GL_ALPHA_BIAS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DEPTH_BIAS", 13)) {
    /*                          ^        */
#ifdef GL_DEPTH_BIAS
      *iv_return = GL_DEPTH_BIAS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_EYE_LINEAR", 13)) {
    /*                          ^        */
#ifdef GL_EYE_LINEAR
      *iv_return = GL_EYE_LINEAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_GREEN_BIAS", 13)) {
    /*                          ^        */
#ifdef GL_GREEN_BIAS
      *iv_return = GL_GREEN_BIAS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SPHERE_MAP", 13)) {
    /*                          ^        */
#ifdef GL_SPHERE_MAP
      *iv_return = GL_SPHERE_MAP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "GL_FRONT_FACE", 13)) {
    /*                          ^        */
#ifdef GL_FRONT_FACE
      *iv_return = GL_FRONT_FACE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_INDEX_MODE", 13)) {
    /*                          ^        */
#ifdef GL_INDEX_MODE
      *iv_return = GL_INDEX_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_LIST_INDEX", 13)) {
    /*                          ^        */
#ifdef GL_LIST_INDEX
      *iv_return = GL_LIST_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE4", 13)) {
    /*                          ^        */
#ifdef GL_LUMINANCE4
      *iv_return = GL_LUMINANCE4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE8", 13)) {
    /*                          ^        */
#ifdef GL_LUMINANCE8
      *iv_return = GL_LUMINANCE8;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP1_INDEX", 13)) {
    /*                          ^        */
#ifdef GL_MAP1_INDEX
      *iv_return = GL_MAP1_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_INDEX", 13)) {
    /*                          ^        */
#ifdef GL_MAP2_INDEX
      *iv_return = GL_MAP2_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "GL_FRONT_LEFT", 13)) {
    /*                          ^        */
#ifdef GL_FRONT_LEFT
      *iv_return = GL_FRONT_LEFT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_BACK_RIGHT", 13)) {
    /*                          ^        */
#ifdef GL_BACK_RIGHT
      *iv_return = GL_BACK_RIGHT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_LINE_STRIP", 13)) {
    /*                          ^        */
#ifdef GL_LINE_STRIP
      *iv_return = GL_LINE_STRIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_QUAD_STRIP", 13)) {
    /*                          ^        */
#ifdef GL_QUAD_STRIP
      *iv_return = GL_QUAD_STRIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_BLUE_SCALE", 13)) {
    /*                          ^        */
#ifdef GL_BLUE_SCALE
      *iv_return = GL_BLUE_SCALE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_DEPTH_FUNC", 13)) {
    /*                          ^        */
#ifdef GL_DEPTH_FUNC
      *iv_return = GL_DEPTH_FUNC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_EXTENSIONS", 13)) {
    /*                          ^        */
#ifdef GL_EXTENSIONS
      *iv_return = GL_EXTENSIONS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_PROJECTION", 13)) {
    /*                          ^        */
#ifdef GL_PROJECTION
      *iv_return = GL_PROJECTION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_ALPHA_TEST", 13)) {
    /*                          ^        */
#ifdef GL_ALPHA_TEST
      *iv_return = GL_ALPHA_TEST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DEPTH_TEST", 13)) {
    /*                          ^        */
#ifdef GL_DEPTH_TEST
      *iv_return = GL_DEPTH_TEST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_ALPHA_BITS", 13)) {
    /*                          ^        */
#ifdef GL_ALPHA_BITS
      *iv_return = GL_ALPHA_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DEPTH_BITS", 13)) {
    /*                          ^        */
#ifdef GL_DEPTH_BITS
      *iv_return = GL_DEPTH_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_GREEN_BITS", 13)) {
    /*                          ^        */
#ifdef GL_GREEN_BITS
      *iv_return = GL_GREEN_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_BITS", 13)) {
    /*                          ^        */
#ifdef GL_INDEX_BITS
      *iv_return = GL_INDEX_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LINE_WIDTH", 13)) {
    /*                          ^        */
#ifdef GL_LINE_WIDTH
      *iv_return = GL_LINE_WIDTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAX_LIGHTS", 13)) {
    /*                          ^        */
#ifdef GL_MAX_LIGHTS
      *iv_return = GL_MAX_LIGHTS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Y':
    if (memEQ(name, "GL_INTENSITY4", 13)) {
    /*                          ^        */
#ifdef GL_INTENSITY4
      *iv_return = GL_INTENSITY4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INTENSITY8", 13)) {
    /*                          ^        */
#ifdef GL_INTENSITY8
      *iv_return = GL_INTENSITY8;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Z':
    if (memEQ(name, "GL_POINT_SIZE", 13)) {
    /*                          ^        */
#ifdef GL_POINT_SIZE
      *iv_return = GL_POINT_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_14 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ALPHA_SCALE GL_AUTO_NORMAL GL_AUX_BUFFERS GL_CLIP_PLANE0 GL_CLIP_PLANE1
     GL_CLIP_PLANE2 GL_CLIP_PLANE3 GL_CLIP_PLANE4 GL_CLIP_PLANE5 GL_COLOR_ARRAY
     GL_COLOR_INDEX GL_DEPTH_RANGE GL_DEPTH_SCALE GL_DRAW_BUFFER GL_FOG_DENSITY
     GL_FRONT_RIGHT GL_GREEN_SCALE GL_INDEX_ARRAY GL_INDEX_SHIFT GL_INTENSITY12
     GL_INTENSITY16 GL_LINE_SMOOTH GL_LUMINANCE12 GL_LUMINANCE16 GL_MAP1_NORMAL
     GL_MAP2_NORMAL GL_MAP_STENCIL GL_MATRIX_MODE GL_PACK_LENGTH GL_READ_BUFFER
     GL_RENDER_MODE GL_SCISSOR_BOX GL_SHADE_MODEL GL_SPOT_CUTOFF GL_STENCIL_REF
     GL_TEXTURE_ENV */
  /* Offset 13 gives the best switch position.  */
  switch (name[13]) {
  case '0':
    if (memEQ(name, "GL_CLIP_PLANE", 13)) {
    /*                            0      */
#ifdef GL_CLIP_PLANE0
      *iv_return = GL_CLIP_PLANE0;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '1':
    if (memEQ(name, "GL_CLIP_PLANE", 13)) {
    /*                            1      */
#ifdef GL_CLIP_PLANE1
      *iv_return = GL_CLIP_PLANE1;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '2':
    if (memEQ(name, "GL_CLIP_PLANE", 13)) {
    /*                            2      */
#ifdef GL_CLIP_PLANE2
      *iv_return = GL_CLIP_PLANE2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INTENSITY1", 13)) {
    /*                            2      */
#ifdef GL_INTENSITY12
      *iv_return = GL_INTENSITY12;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE1", 13)) {
    /*                            2      */
#ifdef GL_LUMINANCE12
      *iv_return = GL_LUMINANCE12;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '3':
    if (memEQ(name, "GL_CLIP_PLANE", 13)) {
    /*                            3      */
#ifdef GL_CLIP_PLANE3
      *iv_return = GL_CLIP_PLANE3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '4':
    if (memEQ(name, "GL_CLIP_PLANE", 13)) {
    /*                            4      */
#ifdef GL_CLIP_PLANE4
      *iv_return = GL_CLIP_PLANE4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '5':
    if (memEQ(name, "GL_CLIP_PLANE", 13)) {
    /*                            5      */
#ifdef GL_CLIP_PLANE5
      *iv_return = GL_CLIP_PLANE5;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '6':
    if (memEQ(name, "GL_INTENSITY1", 13)) {
    /*                            6      */
#ifdef GL_INTENSITY16
      *iv_return = GL_INTENSITY16;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE1", 13)) {
    /*                            6      */
#ifdef GL_LUMINANCE16
      *iv_return = GL_LUMINANCE16;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_ALPHA_SCAL", 13)) {
    /*                            E      */
#ifdef GL_ALPHA_SCALE
      *iv_return = GL_ALPHA_SCALE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DEPTH_RANG", 13)) {
    /*                            E      */
#ifdef GL_DEPTH_RANGE
      *iv_return = GL_DEPTH_RANGE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DEPTH_SCAL", 13)) {
    /*                            E      */
#ifdef GL_DEPTH_SCALE
      *iv_return = GL_DEPTH_SCALE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_GREEN_SCAL", 13)) {
    /*                            E      */
#ifdef GL_GREEN_SCALE
      *iv_return = GL_GREEN_SCALE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MATRIX_MOD", 13)) {
    /*                            E      */
#ifdef GL_MATRIX_MODE
      *iv_return = GL_MATRIX_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_RENDER_MOD", 13)) {
    /*                            E      */
#ifdef GL_RENDER_MODE
      *iv_return = GL_RENDER_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "GL_SPOT_CUTOF", 13)) {
    /*                            F      */
#ifdef GL_SPOT_CUTOFF
      *iv_return = GL_SPOT_CUTOFF;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_STENCIL_RE", 13)) {
    /*                            F      */
#ifdef GL_STENCIL_REF
      *iv_return = GL_STENCIL_REF;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_LINE_SMOOT", 13)) {
    /*                            H      */
#ifdef GL_LINE_SMOOTH
      *iv_return = GL_LINE_SMOOTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PACK_LENGT", 13)) {
    /*                            H      */
#ifdef GL_PACK_LENGTH
      *iv_return = GL_PACK_LENGTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_AUTO_NORMA", 13)) {
    /*                            L      */
#ifdef GL_AUTO_NORMAL
      *iv_return = GL_AUTO_NORMAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP1_NORMA", 13)) {
    /*                            L      */
#ifdef GL_MAP1_NORMAL
      *iv_return = GL_MAP1_NORMAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_NORMA", 13)) {
    /*                            L      */
#ifdef GL_MAP2_NORMAL
      *iv_return = GL_MAP2_NORMAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP_STENCI", 13)) {
    /*                            L      */
#ifdef GL_MAP_STENCIL
      *iv_return = GL_MAP_STENCIL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SHADE_MODE", 13)) {
    /*                            L      */
#ifdef GL_SHADE_MODEL
      *iv_return = GL_SHADE_MODEL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_DRAW_BUFFE", 13)) {
    /*                            R      */
#ifdef GL_DRAW_BUFFER
      *iv_return = GL_DRAW_BUFFER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_READ_BUFFE", 13)) {
    /*                            R      */
#ifdef GL_READ_BUFFER
      *iv_return = GL_READ_BUFFER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_AUX_BUFFER", 13)) {
    /*                            S      */
#ifdef GL_AUX_BUFFERS
      *iv_return = GL_AUX_BUFFERS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_FRONT_RIGH", 13)) {
    /*                            T      */
#ifdef GL_FRONT_RIGHT
      *iv_return = GL_FRONT_RIGHT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_SHIF", 13)) {
    /*                            T      */
#ifdef GL_INDEX_SHIFT
      *iv_return = GL_INDEX_SHIFT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'V':
    if (memEQ(name, "GL_TEXTURE_EN", 13)) {
    /*                            V      */
#ifdef GL_TEXTURE_ENV
      *iv_return = GL_TEXTURE_ENV;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'X':
    if (memEQ(name, "GL_COLOR_INDE", 13)) {
    /*                            X      */
#ifdef GL_COLOR_INDEX
      *iv_return = GL_COLOR_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SCISSOR_BO", 13)) {
    /*                            X      */
#ifdef GL_SCISSOR_BOX
      *iv_return = GL_SCISSOR_BOX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Y':
    if (memEQ(name, "GL_COLOR_ARRA", 13)) {
    /*                            Y      */
#ifdef GL_COLOR_ARRAY
      *iv_return = GL_COLOR_ARRAY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_FOG_DENSIT", 13)) {
    /*                            Y      */
#ifdef GL_FOG_DENSITY
      *iv_return = GL_FOG_DENSITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_ARRA", 13)) {
    /*                            Y      */
#ifdef GL_INDEX_ARRAY
      *iv_return = GL_INDEX_ARRAY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_15 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_DOUBLEBUFFER GL_INDEX_OFFSET GL_LINE_STIPPLE GL_MAP1_COLOR_4
     GL_MAP2_COLOR_4 GL_NORMAL_ARRAY GL_POINT_SMOOTH GL_POLYGON_MODE
     GL_SCISSOR_TEST GL_STENCIL_BITS GL_STENCIL_FAIL GL_STENCIL_FUNC
     GL_STENCIL_TEST GL_TRIANGLE_FAN GL_UNSIGNED_INT GL_VERTEX_ARRAY */
  /* Offset 8 gives the best switch position.  */
  switch (name[8]) {
  case 'C':
    if (memEQ(name, "GL_MAP1_COLOR_4", 15)) {
    /*                       ^             */
#ifdef GL_MAP1_COLOR_4
      *iv_return = GL_MAP1_COLOR_4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_COLOR_4", 15)) {
    /*                       ^             */
#ifdef GL_MAP2_COLOR_4
      *iv_return = GL_MAP2_COLOR_4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_DOUBLEBUFFER", 15)) {
    /*                       ^             */
#ifdef GL_DOUBLEBUFFER
      *iv_return = GL_DOUBLEBUFFER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_TRIANGLE_FAN", 15)) {
    /*                       ^             */
#ifdef GL_TRIANGLE_FAN
      *iv_return = GL_TRIANGLE_FAN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_STENCIL_BITS", 15)) {
    /*                       ^             */
#ifdef GL_STENCIL_BITS
      *iv_return = GL_STENCIL_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_STENCIL_FAIL", 15)) {
    /*                       ^             */
#ifdef GL_STENCIL_FAIL
      *iv_return = GL_STENCIL_FAIL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_STENCIL_FUNC", 15)) {
    /*                       ^             */
#ifdef GL_STENCIL_FUNC
      *iv_return = GL_STENCIL_FUNC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_STENCIL_TEST", 15)) {
    /*                       ^             */
#ifdef GL_STENCIL_TEST
      *iv_return = GL_STENCIL_TEST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_NORMAL_ARRAY", 15)) {
    /*                       ^             */
#ifdef GL_NORMAL_ARRAY
      *iv_return = GL_NORMAL_ARRAY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_UNSIGNED_INT", 15)) {
    /*                       ^             */
#ifdef GL_UNSIGNED_INT
      *iv_return = GL_UNSIGNED_INT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_POLYGON_MODE", 15)) {
    /*                       ^             */
#ifdef GL_POLYGON_MODE
      *iv_return = GL_POLYGON_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SCISSOR_TEST", 15)) {
    /*                       ^             */
#ifdef GL_SCISSOR_TEST
      *iv_return = GL_SCISSOR_TEST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_LINE_STIPPLE", 15)) {
    /*                       ^             */
#ifdef GL_LINE_STIPPLE
      *iv_return = GL_LINE_STIPPLE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'X':
    if (memEQ(name, "GL_VERTEX_ARRAY", 15)) {
    /*                       ^             */
#ifdef GL_VERTEX_ARRAY
      *iv_return = GL_VERTEX_ARRAY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_INDEX_OFFSET", 15)) {
    /*                       ^             */
#ifdef GL_INDEX_OFFSET
      *iv_return = GL_INDEX_OFFSET;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POINT_SMOOTH", 15)) {
    /*                       ^             */
#ifdef GL_POINT_SMOOTH
      *iv_return = GL_POINT_SMOOTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_16 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_CURRENT_COLOR GL_CURRENT_INDEX GL_LOGIC_OP_MODE GL_MAP1_VERTEX_3
     GL_MAP1_VERTEX_4 GL_MAP2_VERTEX_3 GL_MAP2_VERTEX_4 GL_OBJECT_LINEAR
     GL_SPOT_EXPONENT GL_SUBPIXEL_BITS GL_TEXTURE_GEN_Q GL_TEXTURE_GEN_R
     GL_TEXTURE_GEN_S GL_TEXTURE_GEN_T GL_UNPACK_LENGTH GL_UNSIGNED_BYTE */
  /* Offset 15 gives the best switch position.  */
  switch (name[15]) {
  case '3':
    if (memEQ(name, "GL_MAP1_VERTEX_", 15)) {
    /*                              3      */
#ifdef GL_MAP1_VERTEX_3
      *iv_return = GL_MAP1_VERTEX_3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_VERTEX_", 15)) {
    /*                              3      */
#ifdef GL_MAP2_VERTEX_3
      *iv_return = GL_MAP2_VERTEX_3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '4':
    if (memEQ(name, "GL_MAP1_VERTEX_", 15)) {
    /*                              4      */
#ifdef GL_MAP1_VERTEX_4
      *iv_return = GL_MAP1_VERTEX_4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_VERTEX_", 15)) {
    /*                              4      */
#ifdef GL_MAP2_VERTEX_4
      *iv_return = GL_MAP2_VERTEX_4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_LOGIC_OP_MOD", 15)) {
    /*                              E      */
#ifdef GL_LOGIC_OP_MODE
      *iv_return = GL_LOGIC_OP_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_UNSIGNED_BYT", 15)) {
    /*                              E      */
#ifdef GL_UNSIGNED_BYTE
      *iv_return = GL_UNSIGNED_BYTE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_UNPACK_LENGT", 15)) {
    /*                              H      */
#ifdef GL_UNPACK_LENGTH
      *iv_return = GL_UNPACK_LENGTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Q':
    if (memEQ(name, "GL_TEXTURE_GEN_", 15)) {
    /*                              Q      */
#ifdef GL_TEXTURE_GEN_Q
      *iv_return = GL_TEXTURE_GEN_Q;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_CURRENT_COLO", 15)) {
    /*                              R      */
#ifdef GL_CURRENT_COLOR
      *iv_return = GL_CURRENT_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_OBJECT_LINEA", 15)) {
    /*                              R      */
#ifdef GL_OBJECT_LINEAR
      *iv_return = GL_OBJECT_LINEAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_GEN_", 15)) {
    /*                              R      */
#ifdef GL_TEXTURE_GEN_R
      *iv_return = GL_TEXTURE_GEN_R;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_SUBPIXEL_BIT", 15)) {
    /*                              S      */
#ifdef GL_SUBPIXEL_BITS
      *iv_return = GL_SUBPIXEL_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_GEN_", 15)) {
    /*                              S      */
#ifdef GL_TEXTURE_GEN_S
      *iv_return = GL_TEXTURE_GEN_S;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_SPOT_EXPONEN", 15)) {
    /*                              T      */
#ifdef GL_SPOT_EXPONENT
      *iv_return = GL_SPOT_EXPONENT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_GEN_", 15)) {
    /*                              T      */
#ifdef GL_TEXTURE_GEN_T
      *iv_return = GL_TEXTURE_GEN_T;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'X':
    if (memEQ(name, "GL_CURRENT_INDE", 15)) {
    /*                              X      */
#ifdef GL_CURRENT_INDEX
      *iv_return = GL_CURRENT_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_17 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ACCUM_RED_BITS GL_ALPHA_TEST_REF GL_COLOR_LOGIC_OP GL_COLOR_MATERIAL
     GL_CULL_FACE_MODE GL_CURRENT_NORMAL GL_FRONT_AND_BACK GL_INDEX_LOGIC_OP
     GL_MAX_EVAL_ORDER GL_PACK_ALIGNMENT GL_PACK_LSB_FIRST GL_PACK_SKIP_ROWS
     GL_POLYGON_SMOOTH GL_REFLECTION_MAP GL_SPOT_DIRECTION GL_TEXTURE_MATRIX
     GL_TEXTURE_WRAP_R GL_TEXTURE_WRAP_S GL_TEXTURE_WRAP_T GL_TRIANGLE_STRIP
     GL_UNSIGNED_SHORT */
  /* Offset 15 gives the best switch position.  */
  switch (name[15]) {
  case 'A':
    if (memEQ(name, "GL_COLOR_MATERIAL", 17)) {
    /*                              ^        */
#ifdef GL_COLOR_MATERIAL
      *iv_return = GL_COLOR_MATERIAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_CURRENT_NORMAL", 17)) {
    /*                              ^        */
#ifdef GL_CURRENT_NORMAL
      *iv_return = GL_CURRENT_NORMAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_REFLECTION_MAP", 17)) {
    /*                              ^        */
#ifdef GL_REFLECTION_MAP
      *iv_return = GL_REFLECTION_MAP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "GL_FRONT_AND_BACK", 17)) {
    /*                              ^        */
#ifdef GL_FRONT_AND_BACK
      *iv_return = GL_FRONT_AND_BACK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_CULL_FACE_MODE", 17)) {
    /*                              ^        */
#ifdef GL_CULL_FACE_MODE
      *iv_return = GL_CULL_FACE_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_ALPHA_TEST_REF", 17)) {
    /*                              ^        */
#ifdef GL_ALPHA_TEST_REF
      *iv_return = GL_ALPHA_TEST_REF;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAX_EVAL_ORDER", 17)) {
    /*                              ^        */
#ifdef GL_MAX_EVAL_ORDER
      *iv_return = GL_MAX_EVAL_ORDER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_TEXTURE_MATRIX", 17)) {
    /*                              ^        */
#ifdef GL_TEXTURE_MATRIX
      *iv_return = GL_TEXTURE_MATRIX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TRIANGLE_STRIP", 17)) {
    /*                              ^        */
#ifdef GL_TRIANGLE_STRIP
      *iv_return = GL_TRIANGLE_STRIP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_PACK_ALIGNMENT", 17)) {
    /*                              ^        */
#ifdef GL_PACK_ALIGNMENT
      *iv_return = GL_PACK_ALIGNMENT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_COLOR_LOGIC_OP", 17)) {
    /*                              ^        */
#ifdef GL_COLOR_LOGIC_OP
      *iv_return = GL_COLOR_LOGIC_OP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_LOGIC_OP", 17)) {
    /*                              ^        */
#ifdef GL_INDEX_LOGIC_OP
      *iv_return = GL_INDEX_LOGIC_OP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_SPOT_DIRECTION", 17)) {
    /*                              ^        */
#ifdef GL_SPOT_DIRECTION
      *iv_return = GL_SPOT_DIRECTION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_UNSIGNED_SHORT", 17)) {
    /*                              ^        */
#ifdef GL_UNSIGNED_SHORT
      *iv_return = GL_UNSIGNED_SHORT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_PACK_LSB_FIRST", 17)) {
    /*                              ^        */
#ifdef GL_PACK_LSB_FIRST
      *iv_return = GL_PACK_LSB_FIRST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_ACCUM_RED_BITS", 17)) {
    /*                              ^        */
#ifdef GL_ACCUM_RED_BITS
      *iv_return = GL_ACCUM_RED_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POLYGON_SMOOTH", 17)) {
    /*                              ^        */
#ifdef GL_POLYGON_SMOOTH
      *iv_return = GL_POLYGON_SMOOTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "GL_PACK_SKIP_ROWS", 17)) {
    /*                              ^        */
#ifdef GL_PACK_SKIP_ROWS
      *iv_return = GL_PACK_SKIP_ROWS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_TEXTURE_WRAP_R", 17)) {
    /*                              ^        */
#ifdef GL_TEXTURE_WRAP_R
      *iv_return = GL_TEXTURE_WRAP_R;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_WRAP_S", 17)) {
    /*                              ^        */
#ifdef GL_TEXTURE_WRAP_S
      *iv_return = GL_TEXTURE_WRAP_S;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_WRAP_T", 17)) {
    /*                              ^        */
#ifdef GL_TEXTURE_WRAP_T
      *iv_return = GL_TEXTURE_WRAP_T;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_18 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ACCUM_BLUE_BITS GL_ALPHA_TEST_FUNC GL_BLEND_COLOR_EXT
     GL_COLOR_WRITEMASK GL_DEPTH_WRITEMASK GL_EDGE_FLAG_ARRAY
     GL_INDEX_WRITEMASK GL_LUMINANCE_ALPHA GL_MAX_CLIP_PLANES
     GL_PACK_ROW_LENGTH GL_PACK_SWAP_BYTES GL_POLYGON_STIPPLE */
  /* Offset 6 gives the best switch position.  */
  switch (name[6]) {
  case 'E':
    if (memEQ(name, "GL_EDGE_FLAG_ARRAY", 18)) {
    /*                     ^                  */
#ifdef GL_EDGE_FLAG_ARRAY
      *iv_return = GL_EDGE_FLAG_ARRAY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_WRITEMASK", 18)) {
    /*                     ^                  */
#ifdef GL_INDEX_WRITEMASK
      *iv_return = GL_INDEX_WRITEMASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_ALPHA_TEST_FUNC", 18)) {
    /*                     ^                  */
#ifdef GL_ALPHA_TEST_FUNC
      *iv_return = GL_ALPHA_TEST_FUNC;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_LUMINANCE_ALPHA", 18)) {
    /*                     ^                  */
#ifdef GL_LUMINANCE_ALPHA
      *iv_return = GL_LUMINANCE_ALPHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'K':
    if (memEQ(name, "GL_PACK_ROW_LENGTH", 18)) {
    /*                     ^                  */
#ifdef GL_PACK_ROW_LENGTH
      *iv_return = GL_PACK_ROW_LENGTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PACK_SWAP_BYTES", 18)) {
    /*                     ^                  */
#ifdef GL_PACK_SWAP_BYTES
      *iv_return = GL_PACK_SWAP_BYTES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_BLEND_COLOR_EXT", 18)) {
    /*                     ^                  */
#ifdef GL_BLEND_COLOR_EXT
      *iv_return = GL_BLEND_COLOR_EXT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_COLOR_WRITEMASK", 18)) {
    /*                     ^                  */
#ifdef GL_COLOR_WRITEMASK
      *iv_return = GL_COLOR_WRITEMASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_DEPTH_WRITEMASK", 18)) {
    /*                     ^                  */
#ifdef GL_DEPTH_WRITEMASK
      *iv_return = GL_DEPTH_WRITEMASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_ACCUM_BLUE_BITS", 18)) {
    /*                     ^                  */
#ifdef GL_ACCUM_BLUE_BITS
      *iv_return = GL_ACCUM_BLUE_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Y':
    if (memEQ(name, "GL_POLYGON_STIPPLE", 18)) {
    /*                     ^                  */
#ifdef GL_POLYGON_STIPPLE
      *iv_return = GL_POLYGON_STIPPLE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_MAX_CLIP_PLANES", 18)) {
    /*                     ^                  */
#ifdef GL_MAX_CLIP_PLANES
      *iv_return = GL_MAX_CLIP_PLANES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_19 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ACCUM_ALPHA_BITS GL_ACCUM_BUFFER_BIT GL_ACCUM_GREEN_BITS
     GL_COLOR_ARRAY_SIZE GL_COLOR_ARRAY_TYPE GL_COLOR_BUFFER_BIT
     GL_DEPTH_BUFFER_BIT GL_INDEX_ARRAY_TYPE GL_LINE_SMOOTH_HINT
     GL_LINE_WIDTH_RANGE GL_MAP1_GRID_DOMAIN GL_MAP2_GRID_DOMAIN
     GL_MAX_LIST_NESTING GL_MAX_TEXTURE_SIZE GL_MODELVIEW_MATRIX
     GL_NAME_STACK_DEPTH GL_PACK_SKIP_IMAGES GL_PACK_SKIP_PIXELS
     GL_POINT_SIZE_RANGE GL_PROXY_TEXTURE_2D GL_TEXTURE_CUBE_MAP
     GL_TEXTURE_ENV_MODE GL_TEXTURE_GEN_MODE GL_TEXTURE_PRIORITY
     GL_UNPACK_ALIGNMENT GL_UNPACK_LSB_FIRST GL_UNPACK_SKIP_ROWS */
  /* Offset 11 gives the best switch position.  */
  switch (name[11]) {
  case 'C':
    if (memEQ(name, "GL_NAME_STACK_DEPTH", 19)) {
    /*                          ^              */
#ifdef GL_NAME_STACK_DEPTH
      *iv_return = GL_NAME_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_CUBE_MAP", 19)) {
    /*                          ^              */
#ifdef GL_TEXTURE_CUBE_MAP
      *iv_return = GL_TEXTURE_CUBE_MAP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_MAP1_GRID_DOMAIN", 19)) {
    /*                          ^              */
#ifdef GL_MAP1_GRID_DOMAIN
      *iv_return = GL_MAP1_GRID_DOMAIN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_GRID_DOMAIN", 19)) {
    /*                          ^              */
#ifdef GL_MAP2_GRID_DOMAIN
      *iv_return = GL_MAP2_GRID_DOMAIN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_ACCUM_GREEN_BITS", 19)) {
    /*                          ^              */
#ifdef GL_ACCUM_GREEN_BITS
      *iv_return = GL_ACCUM_GREEN_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_ENV_MODE", 19)) {
    /*                          ^              */
#ifdef GL_TEXTURE_ENV_MODE
      *iv_return = GL_TEXTURE_ENV_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "GL_ACCUM_BUFFER_BIT", 19)) {
    /*                          ^              */
#ifdef GL_ACCUM_BUFFER_BIT
      *iv_return = GL_ACCUM_BUFFER_BIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_COLOR_BUFFER_BIT", 19)) {
    /*                          ^              */
#ifdef GL_COLOR_BUFFER_BIT
      *iv_return = GL_COLOR_BUFFER_BIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_DEPTH_BUFFER_BIT", 19)) {
    /*                          ^              */
#ifdef GL_DEPTH_BUFFER_BIT
      *iv_return = GL_DEPTH_BUFFER_BIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_TEXTURE_GEN_MODE", 19)) {
    /*                          ^              */
#ifdef GL_TEXTURE_GEN_MODE
      *iv_return = GL_TEXTURE_GEN_MODE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'K':
    if (memEQ(name, "GL_UNPACK_SKIP_ROWS", 19)) {
    /*                          ^              */
#ifdef GL_UNPACK_SKIP_ROWS
      *iv_return = GL_UNPACK_SKIP_ROWS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_UNPACK_ALIGNMENT", 19)) {
    /*                          ^              */
#ifdef GL_UNPACK_ALIGNMENT
      *iv_return = GL_UNPACK_ALIGNMENT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_LINE_SMOOTH_HINT", 19)) {
    /*                          ^              */
#ifdef GL_LINE_SMOOTH_HINT
      *iv_return = GL_LINE_SMOOTH_HINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_ACCUM_ALPHA_BITS", 19)) {
    /*                          ^              */
#ifdef GL_ACCUM_ALPHA_BITS
      *iv_return = GL_ACCUM_ALPHA_BITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PACK_SKIP_IMAGES", 19)) {
    /*                          ^              */
#ifdef GL_PACK_SKIP_IMAGES
      *iv_return = GL_PACK_SKIP_IMAGES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PACK_SKIP_PIXELS", 19)) {
    /*                          ^              */
#ifdef GL_PACK_SKIP_PIXELS
      *iv_return = GL_PACK_SKIP_PIXELS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_PRIORITY", 19)) {
    /*                          ^              */
#ifdef GL_TEXTURE_PRIORITY
      *iv_return = GL_TEXTURE_PRIORITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_COLOR_ARRAY_SIZE", 19)) {
    /*                          ^              */
#ifdef GL_COLOR_ARRAY_SIZE
      *iv_return = GL_COLOR_ARRAY_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_COLOR_ARRAY_TYPE", 19)) {
    /*                          ^              */
#ifdef GL_COLOR_ARRAY_TYPE
      *iv_return = GL_COLOR_ARRAY_TYPE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_ARRAY_TYPE", 19)) {
    /*                          ^              */
#ifdef GL_INDEX_ARRAY_TYPE
      *iv_return = GL_INDEX_ARRAY_TYPE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_UNPACK_LSB_FIRST", 19)) {
    /*                          ^              */
#ifdef GL_UNPACK_LSB_FIRST
      *iv_return = GL_UNPACK_LSB_FIRST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_LINE_WIDTH_RANGE", 19)) {
    /*                          ^              */
#ifdef GL_LINE_WIDTH_RANGE
      *iv_return = GL_LINE_WIDTH_RANGE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_MAX_TEXTURE_SIZE", 19)) {
    /*                          ^              */
#ifdef GL_MAX_TEXTURE_SIZE
      *iv_return = GL_MAX_TEXTURE_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "GL_MODELVIEW_MATRIX", 19)) {
    /*                          ^              */
#ifdef GL_MODELVIEW_MATRIX
      *iv_return = GL_MODELVIEW_MATRIX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'X':
    if (memEQ(name, "GL_PROXY_TEXTURE_2D", 19)) {
    /*                          ^              */
#ifdef GL_PROXY_TEXTURE_2D
      *iv_return = GL_PROXY_TEXTURE_2D;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Z':
    if (memEQ(name, "GL_POINT_SIZE_RANGE", 19)) {
    /*                          ^              */
#ifdef GL_POINT_SIZE_RANGE
      *iv_return = GL_POINT_SIZE_RANGE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_MAX_LIST_NESTING", 19)) {
    /*                          ^              */
#ifdef GL_MAX_LIST_NESTING
      *iv_return = GL_MAX_LIST_NESTING;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_20 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ACCUM_CLEAR_VALUE GL_COLOR_CLEAR_VALUE GL_DEPTH_CLEAR_VALUE
     GL_INDEX_CLEAR_VALUE GL_LUMINANCE4_ALPHA4 GL_LUMINANCE6_ALPHA2
     GL_LUMINANCE8_ALPHA8 GL_MAX_VIEWPORT_DIMS GL_NORMAL_ARRAY_TYPE
     GL_PACK_IMAGE_HEIGHT GL_POINT_SMOOTH_HINT GL_PROJECTION_MATRIX
     GL_STENCIL_WRITEMASK GL_TEXTURE_ENV_COLOR GL_UNPACK_ROW_LENGTH
     GL_UNPACK_SWAP_BYTES GL_VERTEX_ARRAY_SIZE GL_VERTEX_ARRAY_TYPE */
  /* Offset 3 gives the best switch position.  */
  switch (name[3]) {
  case 'A':
    if (memEQ(name, "GL_ACCUM_CLEAR_VALUE", 20)) {
    /*                  ^                       */
#ifdef GL_ACCUM_CLEAR_VALUE
      *iv_return = GL_ACCUM_CLEAR_VALUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "GL_COLOR_CLEAR_VALUE", 20)) {
    /*                  ^                       */
#ifdef GL_COLOR_CLEAR_VALUE
      *iv_return = GL_COLOR_CLEAR_VALUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_DEPTH_CLEAR_VALUE", 20)) {
    /*                  ^                       */
#ifdef GL_DEPTH_CLEAR_VALUE
      *iv_return = GL_DEPTH_CLEAR_VALUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_INDEX_CLEAR_VALUE", 20)) {
    /*                  ^                       */
#ifdef GL_INDEX_CLEAR_VALUE
      *iv_return = GL_INDEX_CLEAR_VALUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_LUMINANCE4_ALPHA4", 20)) {
    /*                  ^                       */
#ifdef GL_LUMINANCE4_ALPHA4
      *iv_return = GL_LUMINANCE4_ALPHA4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE6_ALPHA2", 20)) {
    /*                  ^                       */
#ifdef GL_LUMINANCE6_ALPHA2
      *iv_return = GL_LUMINANCE6_ALPHA2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE8_ALPHA8", 20)) {
    /*                  ^                       */
#ifdef GL_LUMINANCE8_ALPHA8
      *iv_return = GL_LUMINANCE8_ALPHA8;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "GL_MAX_VIEWPORT_DIMS", 20)) {
    /*                  ^                       */
#ifdef GL_MAX_VIEWPORT_DIMS
      *iv_return = GL_MAX_VIEWPORT_DIMS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_NORMAL_ARRAY_TYPE", 20)) {
    /*                  ^                       */
#ifdef GL_NORMAL_ARRAY_TYPE
      *iv_return = GL_NORMAL_ARRAY_TYPE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_PACK_IMAGE_HEIGHT", 20)) {
    /*                  ^                       */
#ifdef GL_PACK_IMAGE_HEIGHT
      *iv_return = GL_PACK_IMAGE_HEIGHT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POINT_SMOOTH_HINT", 20)) {
    /*                  ^                       */
#ifdef GL_POINT_SMOOTH_HINT
      *iv_return = GL_POINT_SMOOTH_HINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PROJECTION_MATRIX", 20)) {
    /*                  ^                       */
#ifdef GL_PROJECTION_MATRIX
      *iv_return = GL_PROJECTION_MATRIX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_STENCIL_WRITEMASK", 20)) {
    /*                  ^                       */
#ifdef GL_STENCIL_WRITEMASK
      *iv_return = GL_STENCIL_WRITEMASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_TEXTURE_ENV_COLOR", 20)) {
    /*                  ^                       */
#ifdef GL_TEXTURE_ENV_COLOR
      *iv_return = GL_TEXTURE_ENV_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_UNPACK_ROW_LENGTH", 20)) {
    /*                  ^                       */
#ifdef GL_UNPACK_ROW_LENGTH
      *iv_return = GL_UNPACK_ROW_LENGTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_UNPACK_SWAP_BYTES", 20)) {
    /*                  ^                       */
#ifdef GL_UNPACK_SWAP_BYTES
      *iv_return = GL_UNPACK_SWAP_BYTES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'V':
    if (memEQ(name, "GL_VERTEX_ARRAY_SIZE", 20)) {
    /*                  ^                       */
#ifdef GL_VERTEX_ARRAY_SIZE
      *iv_return = GL_VERTEX_ARRAY_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_VERTEX_ARRAY_TYPE", 20)) {
    /*                  ^                       */
#ifdef GL_VERTEX_ARRAY_TYPE
      *iv_return = GL_VERTEX_ARRAY_TYPE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_21 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_ATTRIB_STACK_DEPTH GL_BLEND_EQUATION_EXT GL_COLOR_ARRAY_STRIDE
     GL_INDEX_ARRAY_STRIDE GL_LINEAR_ATTENUATION GL_LUMINANCE12_ALPHA4
     GL_MAP1_GRID_SEGMENTS GL_MAP2_GRID_SEGMENTS GL_SRC_ALPHA_SATURATE
     GL_STENCIL_BUFFER_BIT GL_STENCIL_VALUE_MASK GL_TEXTURE_MAG_FILTER
     GL_TEXTURE_MIN_FILTER GL_UNPACK_SKIP_IMAGES GL_UNPACK_SKIP_PIXELS */
  /* Offset 15 gives the best switch position.  */
  switch (name[15]) {
  case 'A':
    if (memEQ(name, "GL_LUMINANCE12_ALPHA4", 21)) {
    /*                              ^            */
#ifdef GL_LUMINANCE12_ALPHA4
      *iv_return = GL_LUMINANCE12_ALPHA4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_STENCIL_BUFFER_BIT", 21)) {
    /*                              ^            */
#ifdef GL_STENCIL_BUFFER_BIT
      *iv_return = GL_STENCIL_BUFFER_BIT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_STENCIL_VALUE_MASK", 21)) {
    /*                              ^            */
#ifdef GL_STENCIL_VALUE_MASK
      *iv_return = GL_STENCIL_VALUE_MASK;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "GL_TEXTURE_MAG_FILTER", 21)) {
    /*                              ^            */
#ifdef GL_TEXTURE_MAG_FILTER
      *iv_return = GL_TEXTURE_MAG_FILTER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_MIN_FILTER", 21)) {
    /*                              ^            */
#ifdef GL_TEXTURE_MIN_FILTER
      *iv_return = GL_TEXTURE_MIN_FILTER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_MAP1_GRID_SEGMENTS", 21)) {
    /*                              ^            */
#ifdef GL_MAP1_GRID_SEGMENTS
      *iv_return = GL_MAP1_GRID_SEGMENTS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_GRID_SEGMENTS", 21)) {
    /*                              ^            */
#ifdef GL_MAP2_GRID_SEGMENTS
      *iv_return = GL_MAP2_GRID_SEGMENTS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_UNPACK_SKIP_IMAGES", 21)) {
    /*                              ^            */
#ifdef GL_UNPACK_SKIP_IMAGES
      *iv_return = GL_UNPACK_SKIP_IMAGES;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_BLEND_EQUATION_EXT", 21)) {
    /*                              ^            */
#ifdef GL_BLEND_EQUATION_EXT
      *iv_return = GL_BLEND_EQUATION_EXT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_UNPACK_SKIP_PIXELS", 21)) {
    /*                              ^            */
#ifdef GL_UNPACK_SKIP_PIXELS
      *iv_return = GL_UNPACK_SKIP_PIXELS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_COLOR_ARRAY_STRIDE", 21)) {
    /*                              ^            */
#ifdef GL_COLOR_ARRAY_STRIDE
      *iv_return = GL_COLOR_ARRAY_STRIDE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_INDEX_ARRAY_STRIDE", 21)) {
    /*                              ^            */
#ifdef GL_INDEX_ARRAY_STRIDE
      *iv_return = GL_INDEX_ARRAY_STRIDE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_SRC_ALPHA_SATURATE", 21)) {
    /*                              ^            */
#ifdef GL_SRC_ALPHA_SATURATE
      *iv_return = GL_SRC_ALPHA_SATURATE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_LINEAR_ATTENUATION", 21)) {
    /*                              ^            */
#ifdef GL_LINEAR_ATTENUATION
      *iv_return = GL_LINEAR_ATTENUATION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_ATTRIB_STACK_DEPTH", 21)) {
    /*                              ^            */
#ifdef GL_ATTRIB_STACK_DEPTH
      *iv_return = GL_ATTRIB_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_22 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_AMBIENT_AND_DIFFUSE GL_COLOR_MATERIAL_FACE GL_COMPILE_AND_EXECUTE
     GL_LIGHT_MODEL_AMBIENT GL_LINE_STIPPLE_REPEAT GL_LUMINANCE12_ALPHA12
     GL_LUMINANCE16_ALPHA16 GL_MAX_PIXEL_MAP_TABLE GL_NORMAL_ARRAY_STRIDE
     GL_ONE_MINUS_DST_ALPHA GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
     GL_ONE_MINUS_SRC_COLOR GL_POLYGON_OFFSET_FILL GL_POLYGON_OFFSET_LINE
     GL_POLYGON_SMOOTH_HINT GL_STENCIL_CLEAR_VALUE GL_TEXTURE_COORD_ARRAY
     GL_TEXTURE_STACK_DEPTH GL_UNPACK_IMAGE_HEIGHT GL_VERTEX_ARRAY_STRIDE */
  /* Offset 7 gives the best switch position.  */
  switch (name[7]) {
  case 'A':
    if (memEQ(name, "GL_NORMAL_ARRAY_STRIDE", 22)) {
    /*                      ^                     */
#ifdef GL_NORMAL_ARRAY_STRIDE
      *iv_return = GL_NORMAL_ARRAY_STRIDE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'C':
    if (memEQ(name, "GL_STENCIL_CLEAR_VALUE", 22)) {
    /*                      ^                     */
#ifdef GL_STENCIL_CLEAR_VALUE
      *iv_return = GL_STENCIL_CLEAR_VALUE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_UNPACK_IMAGE_HEIGHT", 22)) {
    /*                      ^                     */
#ifdef GL_UNPACK_IMAGE_HEIGHT
      *iv_return = GL_UNPACK_IMAGE_HEIGHT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_AMBIENT_AND_DIFFUSE", 22)) {
    /*                      ^                     */
#ifdef GL_AMBIENT_AND_DIFFUSE
      *iv_return = GL_AMBIENT_AND_DIFFUSE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_VERTEX_ARRAY_STRIDE", 22)) {
    /*                      ^                     */
#ifdef GL_VERTEX_ARRAY_STRIDE
      *iv_return = GL_VERTEX_ARRAY_STRIDE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_POLYGON_OFFSET_FILL", 22)) {
    /*                      ^                     */
#ifdef GL_POLYGON_OFFSET_FILL
      *iv_return = GL_POLYGON_OFFSET_FILL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POLYGON_OFFSET_LINE", 22)) {
    /*                      ^                     */
#ifdef GL_POLYGON_OFFSET_LINE
      *iv_return = GL_POLYGON_OFFSET_LINE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_POLYGON_SMOOTH_HINT", 22)) {
    /*                      ^                     */
#ifdef GL_POLYGON_SMOOTH_HINT
      *iv_return = GL_POLYGON_SMOOTH_HINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_COMPILE_AND_EXECUTE", 22)) {
    /*                      ^                     */
#ifdef GL_COMPILE_AND_EXECUTE
      *iv_return = GL_COMPILE_AND_EXECUTE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'M':
    if (memEQ(name, "GL_ONE_MINUS_DST_ALPHA", 22)) {
    /*                      ^                     */
#ifdef GL_ONE_MINUS_DST_ALPHA
      *iv_return = GL_ONE_MINUS_DST_ALPHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_ONE_MINUS_DST_COLOR", 22)) {
    /*                      ^                     */
#ifdef GL_ONE_MINUS_DST_COLOR
      *iv_return = GL_ONE_MINUS_DST_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_ONE_MINUS_SRC_ALPHA", 22)) {
    /*                      ^                     */
#ifdef GL_ONE_MINUS_SRC_ALPHA
      *iv_return = GL_ONE_MINUS_SRC_ALPHA;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_ONE_MINUS_SRC_COLOR", 22)) {
    /*                      ^                     */
#ifdef GL_ONE_MINUS_SRC_COLOR
      *iv_return = GL_ONE_MINUS_SRC_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_LUMINANCE12_ALPHA12", 22)) {
    /*                      ^                     */
#ifdef GL_LUMINANCE12_ALPHA12
      *iv_return = GL_LUMINANCE12_ALPHA12;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LUMINANCE16_ALPHA16", 22)) {
    /*                      ^                     */
#ifdef GL_LUMINANCE16_ALPHA16
      *iv_return = GL_LUMINANCE16_ALPHA16;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'P':
    if (memEQ(name, "GL_MAX_PIXEL_MAP_TABLE", 22)) {
    /*                      ^                     */
#ifdef GL_MAX_PIXEL_MAP_TABLE
      *iv_return = GL_MAX_PIXEL_MAP_TABLE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_COLOR_MATERIAL_FACE", 22)) {
    /*                      ^                     */
#ifdef GL_COLOR_MATERIAL_FACE
      *iv_return = GL_COLOR_MATERIAL_FACE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_LIGHT_MODEL_AMBIENT", 22)) {
    /*                      ^                     */
#ifdef GL_LIGHT_MODEL_AMBIENT
      *iv_return = GL_LIGHT_MODEL_AMBIENT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_TEXTURE_COORD_ARRAY", 22)) {
    /*                      ^                     */
#ifdef GL_TEXTURE_COORD_ARRAY
      *iv_return = GL_TEXTURE_COORD_ARRAY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_STACK_DEPTH", 22)) {
    /*                      ^                     */
#ifdef GL_TEXTURE_STACK_DEPTH
      *iv_return = GL_TEXTURE_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_LINE_STIPPLE_REPEAT", 22)) {
    /*                      ^                     */
#ifdef GL_LINE_STIPPLE_REPEAT
      *iv_return = GL_LINE_STIPPLE_REPEAT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_23 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_CONSTANT_ATTENUATION GL_CURRENT_RASTER_COLOR GL_CURRENT_RASTER_INDEX
     GL_LIGHT_MODEL_TWO_SIDE GL_LINEAR_MIPMAP_LINEAR GL_LINE_STIPPLE_PATTERN
     GL_MAP1_TEXTURE_COORD_1 GL_MAP1_TEXTURE_COORD_2 GL_MAP1_TEXTURE_COORD_3
     GL_MAP1_TEXTURE_COORD_4 GL_MAP2_TEXTURE_COORD_1 GL_MAP2_TEXTURE_COORD_2
     GL_MAP2_TEXTURE_COORD_3 GL_MAP2_TEXTURE_COORD_4 GL_MAX_NAME_STACK_DEPTH
     GL_POLYGON_OFFSET_POINT GL_POLYGON_OFFSET_UNITS GL_TEXTURE_BORDER_COLOR */
  /* Offset 22 gives the best switch position.  */
  switch (name[22]) {
  case '1':
    if (memEQ(name, "GL_MAP1_TEXTURE_COORD_", 22)) {
    /*                                     1      */
#ifdef GL_MAP1_TEXTURE_COORD_1
      *iv_return = GL_MAP1_TEXTURE_COORD_1;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_TEXTURE_COORD_", 22)) {
    /*                                     1      */
#ifdef GL_MAP2_TEXTURE_COORD_1
      *iv_return = GL_MAP2_TEXTURE_COORD_1;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '2':
    if (memEQ(name, "GL_MAP1_TEXTURE_COORD_", 22)) {
    /*                                     2      */
#ifdef GL_MAP1_TEXTURE_COORD_2
      *iv_return = GL_MAP1_TEXTURE_COORD_2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_TEXTURE_COORD_", 22)) {
    /*                                     2      */
#ifdef GL_MAP2_TEXTURE_COORD_2
      *iv_return = GL_MAP2_TEXTURE_COORD_2;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '3':
    if (memEQ(name, "GL_MAP1_TEXTURE_COORD_", 22)) {
    /*                                     3      */
#ifdef GL_MAP1_TEXTURE_COORD_3
      *iv_return = GL_MAP1_TEXTURE_COORD_3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_TEXTURE_COORD_", 22)) {
    /*                                     3      */
#ifdef GL_MAP2_TEXTURE_COORD_3
      *iv_return = GL_MAP2_TEXTURE_COORD_3;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '4':
    if (memEQ(name, "GL_MAP1_TEXTURE_COORD_", 22)) {
    /*                                     4      */
#ifdef GL_MAP1_TEXTURE_COORD_4
      *iv_return = GL_MAP1_TEXTURE_COORD_4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_MAP2_TEXTURE_COORD_", 22)) {
    /*                                     4      */
#ifdef GL_MAP2_TEXTURE_COORD_4
      *iv_return = GL_MAP2_TEXTURE_COORD_4;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_LIGHT_MODEL_TWO_SID", 22)) {
    /*                                     E      */
#ifdef GL_LIGHT_MODEL_TWO_SIDE
      *iv_return = GL_LIGHT_MODEL_TWO_SIDE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_MAX_NAME_STACK_DEPT", 22)) {
    /*                                     H      */
#ifdef GL_MAX_NAME_STACK_DEPTH
      *iv_return = GL_MAX_NAME_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_CONSTANT_ATTENUATIO", 22)) {
    /*                                     N      */
#ifdef GL_CONSTANT_ATTENUATION
      *iv_return = GL_CONSTANT_ATTENUATION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LINE_STIPPLE_PATTER", 22)) {
    /*                                     N      */
#ifdef GL_LINE_STIPPLE_PATTERN
      *iv_return = GL_LINE_STIPPLE_PATTERN;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_CURRENT_RASTER_COLO", 22)) {
    /*                                     R      */
#ifdef GL_CURRENT_RASTER_COLOR
      *iv_return = GL_CURRENT_RASTER_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_LINEAR_MIPMAP_LINEA", 22)) {
    /*                                     R      */
#ifdef GL_LINEAR_MIPMAP_LINEAR
      *iv_return = GL_LINEAR_MIPMAP_LINEAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_TEXTURE_BORDER_COLO", 22)) {
    /*                                     R      */
#ifdef GL_TEXTURE_BORDER_COLOR
      *iv_return = GL_TEXTURE_BORDER_COLOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_POLYGON_OFFSET_UNIT", 22)) {
    /*                                     S      */
#ifdef GL_POLYGON_OFFSET_UNITS
      *iv_return = GL_POLYGON_OFFSET_UNITS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_POLYGON_OFFSET_POIN", 22)) {
    /*                                     T      */
#ifdef GL_POLYGON_OFFSET_POINT
      *iv_return = GL_POLYGON_OFFSET_POINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'X':
    if (memEQ(name, "GL_CURRENT_RASTER_INDE", 22)) {
    /*                                     X      */
#ifdef GL_CURRENT_RASTER_INDEX
      *iv_return = GL_CURRENT_RASTER_INDEX;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_24 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_LINEAR_MIPMAP_NEAREST GL_MODELVIEW_STACK_DEPTH GL_NEAREST_MIPMAP_LINEAR
     GL_PIXEL_MAP_A_TO_A_SIZE GL_PIXEL_MAP_B_TO_B_SIZE GL_PIXEL_MAP_G_TO_G_SIZE
     GL_PIXEL_MAP_I_TO_A_SIZE GL_PIXEL_MAP_I_TO_B_SIZE GL_PIXEL_MAP_I_TO_G_SIZE
     GL_PIXEL_MAP_I_TO_I_SIZE GL_PIXEL_MAP_I_TO_R_SIZE GL_PIXEL_MAP_R_TO_R_SIZE
     GL_PIXEL_MAP_S_TO_S_SIZE GL_POLYGON_OFFSET_FACTOR GL_QUADRATIC_ATTENUATION
     */
  /* Offset 18 gives the best switch position.  */
  switch (name[18]) {
  case 'A':
    if (memEQ(name, "GL_PIXEL_MAP_A_TO_A_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_A_TO_A_SIZE
      *iv_return = GL_PIXEL_MAP_A_TO_A_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PIXEL_MAP_I_TO_A_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_I_TO_A_SIZE
      *iv_return = GL_PIXEL_MAP_I_TO_A_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'B':
    if (memEQ(name, "GL_PIXEL_MAP_B_TO_B_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_B_TO_B_SIZE
      *iv_return = GL_PIXEL_MAP_B_TO_B_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PIXEL_MAP_I_TO_B_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_I_TO_B_SIZE
      *iv_return = GL_PIXEL_MAP_I_TO_B_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_LINEAR_MIPMAP_NEAREST", 24)) {
    /*                                 ^            */
#ifdef GL_LINEAR_MIPMAP_NEAREST
      *iv_return = GL_LINEAR_MIPMAP_NEAREST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'F':
    if (memEQ(name, "GL_POLYGON_OFFSET_FACTOR", 24)) {
    /*                                 ^            */
#ifdef GL_POLYGON_OFFSET_FACTOR
      *iv_return = GL_POLYGON_OFFSET_FACTOR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GL_PIXEL_MAP_G_TO_G_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_G_TO_G_SIZE
      *iv_return = GL_PIXEL_MAP_G_TO_G_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PIXEL_MAP_I_TO_G_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_I_TO_G_SIZE
      *iv_return = GL_PIXEL_MAP_I_TO_G_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_PIXEL_MAP_I_TO_I_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_I_TO_I_SIZE
      *iv_return = GL_PIXEL_MAP_I_TO_I_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_NEAREST_MIPMAP_LINEAR", 24)) {
    /*                                 ^            */
#ifdef GL_NEAREST_MIPMAP_LINEAR
      *iv_return = GL_NEAREST_MIPMAP_LINEAR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_PIXEL_MAP_I_TO_R_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_I_TO_R_SIZE
      *iv_return = GL_PIXEL_MAP_I_TO_R_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    if (memEQ(name, "GL_PIXEL_MAP_R_TO_R_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_R_TO_R_SIZE
      *iv_return = GL_PIXEL_MAP_R_TO_R_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_PIXEL_MAP_S_TO_S_SIZE", 24)) {
    /*                                 ^            */
#ifdef GL_PIXEL_MAP_S_TO_S_SIZE
      *iv_return = GL_PIXEL_MAP_S_TO_S_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_QUADRATIC_ATTENUATION", 24)) {
    /*                                 ^            */
#ifdef GL_QUADRATIC_ATTENUATION
      *iv_return = GL_QUADRATIC_ATTENUATION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case '_':
    if (memEQ(name, "GL_MODELVIEW_STACK_DEPTH", 24)) {
    /*                                 ^            */
#ifdef GL_MODELVIEW_STACK_DEPTH
      *iv_return = GL_MODELVIEW_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_25 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_CURRENT_TEXTURE_COORDS GL_EDGE_FLAG_ARRAY_STRIDE
     GL_LINE_WIDTH_GRANULARITY GL_MAX_ATTRIB_STACK_DEPTH
     GL_NEAREST_MIPMAP_NEAREST GL_POINT_SIZE_GRANULARITY
     GL_PROJECTION_STACK_DEPTH */
  /* Offset 4 gives the best switch position.  */
  switch (name[4]) {
  case 'A':
    if (memEQ(name, "GL_MAX_ATTRIB_STACK_DEPTH", 25)) {
    /*                   ^                           */
#ifdef GL_MAX_ATTRIB_STACK_DEPTH
      *iv_return = GL_MAX_ATTRIB_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'D':
    if (memEQ(name, "GL_EDGE_FLAG_ARRAY_STRIDE", 25)) {
    /*                   ^                           */
#ifdef GL_EDGE_FLAG_ARRAY_STRIDE
      *iv_return = GL_EDGE_FLAG_ARRAY_STRIDE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'E':
    if (memEQ(name, "GL_NEAREST_MIPMAP_NEAREST", 25)) {
    /*                   ^                           */
#ifdef GL_NEAREST_MIPMAP_NEAREST
      *iv_return = GL_NEAREST_MIPMAP_NEAREST;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'I':
    if (memEQ(name, "GL_LINE_WIDTH_GRANULARITY", 25)) {
    /*                   ^                           */
#ifdef GL_LINE_WIDTH_GRANULARITY
      *iv_return = GL_LINE_WIDTH_GRANULARITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'O':
    if (memEQ(name, "GL_POINT_SIZE_GRANULARITY", 25)) {
    /*                   ^                           */
#ifdef GL_POINT_SIZE_GRANULARITY
      *iv_return = GL_POINT_SIZE_GRANULARITY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GL_PROJECTION_STACK_DEPTH", 25)) {
    /*                   ^                           */
#ifdef GL_PROJECTION_STACK_DEPTH
      *iv_return = GL_PROJECTION_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'U':
    if (memEQ(name, "GL_CURRENT_TEXTURE_COORDS", 25)) {
    /*                   ^                           */
#ifdef GL_CURRENT_TEXTURE_COORDS
      *iv_return = GL_CURRENT_TEXTURE_COORDS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_26 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_CURRENT_RASTER_DISTANCE GL_CURRENT_RASTER_POSITION
     GL_MAX_TEXTURE_STACK_DEPTH GL_STENCIL_PASS_DEPTH_FAIL
     GL_STENCIL_PASS_DEPTH_PASS */
  /* Offset 25 gives the best switch position.  */
  switch (name[25]) {
  case 'E':
    if (memEQ(name, "GL_CURRENT_RASTER_DISTANC", 25)) {
    /*                                        E      */
#ifdef GL_CURRENT_RASTER_DISTANCE
      *iv_return = GL_CURRENT_RASTER_DISTANCE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'H':
    if (memEQ(name, "GL_MAX_TEXTURE_STACK_DEPT", 25)) {
    /*                                        H      */
#ifdef GL_MAX_TEXTURE_STACK_DEPTH
      *iv_return = GL_MAX_TEXTURE_STACK_DEPTH;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'L':
    if (memEQ(name, "GL_STENCIL_PASS_DEPTH_FAI", 25)) {
    /*                                        L      */
#ifdef GL_STENCIL_PASS_DEPTH_FAIL
      *iv_return = GL_STENCIL_PASS_DEPTH_FAIL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'N':
    if (memEQ(name, "GL_CURRENT_RASTER_POSITIO", 25)) {
    /*                                        N      */
#ifdef GL_CURRENT_RASTER_POSITION
      *iv_return = GL_CURRENT_RASTER_POSITION;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'S':
    if (memEQ(name, "GL_STENCIL_PASS_DEPTH_PAS", 25)) {
    /*                                        S      */
#ifdef GL_STENCIL_PASS_DEPTH_PASS
      *iv_return = GL_STENCIL_PASS_DEPTH_PASS;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant_27 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GL_COLOR_MATERIAL_PARAMETER GL_LIGHT_MODEL_LOCAL_VIEWER
     GL_TEXTURE_COORD_ARRAY_SIZE GL_TEXTURE_COORD_ARRAY_TYPE */
  /* Offset 24 gives the best switch position.  */
  switch (name[24]) {
  case 'I':
    if (memEQ(name, "GL_TEXTURE_COORD_ARRAY_SIZE", 27)) {
    /*                                       ^         */
#ifdef GL_TEXTURE_COORD_ARRAY_SIZE
      *iv_return = GL_TEXTURE_COORD_ARRAY_SIZE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GL_COLOR_MATERIAL_PARAMETER", 27)) {
    /*                                       ^         */
#ifdef GL_COLOR_MATERIAL_PARAMETER
      *iv_return = GL_COLOR_MATERIAL_PARAMETER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'W':
    if (memEQ(name, "GL_LIGHT_MODEL_LOCAL_VIEWER", 27)) {
    /*                                       ^         */
#ifdef GL_LIGHT_MODEL_LOCAL_VIEWER
      *iv_return = GL_LIGHT_MODEL_LOCAL_VIEWER;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'Y':
    if (memEQ(name, "GL_TEXTURE_COORD_ARRAY_TYPE", 27)) {
    /*                                       ^         */
#ifdef GL_TEXTURE_COORD_ARRAY_TYPE
      *iv_return = GL_TEXTURE_COORD_ARRAY_TYPE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

static int
constant (pTHX_ const char *name, STRLEN len, IV *iv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!/usr/bin/perl -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV)};
my @names = (qw(GL_ACCUM_ALPHA_BITS GL_ACCUM_BLUE_BITS GL_ACCUM_BUFFER_BIT
	       GL_ACCUM_CLEAR_VALUE GL_ACCUM_GREEN_BITS GL_ACCUM_RED_BITS
	       GL_ALPHA GL_ALPHA12 GL_ALPHA16 GL_ALPHA4 GL_ALPHA8 GL_ALPHA_BIAS
	       GL_ALPHA_BITS GL_ALPHA_SCALE GL_ALPHA_TEST GL_ALPHA_TEST_FUNC
	       GL_ALPHA_TEST_REF GL_ALWAYS GL_AMBIENT GL_AMBIENT_AND_DIFFUSE
	       GL_ATTRIB_STACK_DEPTH GL_AUTO_NORMAL GL_AUX0 GL_AUX1 GL_AUX2
	       GL_AUX3 GL_AUX_BUFFERS GL_BACK GL_BACK_LEFT GL_BACK_RIGHT
	       GL_BITMAP GL_BLEND GL_BLEND_COLOR_EXT GL_BLEND_DST
	       GL_BLEND_EQUATION_EXT GL_BLEND_SRC GL_BLUE GL_BLUE_BIAS
	       GL_BLUE_BITS GL_BLUE_SCALE GL_BYTE GL_CCW GL_CLAMP
	       GL_CLIENT_ATTRIB_STACK_DEPTH GL_CLIP_PLANE0 GL_CLIP_PLANE1
	       GL_CLIP_PLANE2 GL_CLIP_PLANE3 GL_CLIP_PLANE4 GL_CLIP_PLANE5
	       GL_COLOR_ARRAY GL_COLOR_ARRAY_SIZE GL_COLOR_ARRAY_STRIDE
	       GL_COLOR_ARRAY_TYPE GL_COLOR_BUFFER_BIT GL_COLOR_CLEAR_VALUE
	       GL_COLOR_INDEX GL_COLOR_LOGIC_OP GL_COLOR_MATERIAL
	       GL_COLOR_MATERIAL_FACE GL_COLOR_MATERIAL_PARAMETER
	       GL_COLOR_WRITEMASK GL_COMPILE GL_COMPILE_AND_EXECUTE
	       GL_CONSTANT_ATTENUATION GL_CULL_FACE GL_CULL_FACE_MODE
	       GL_CURRENT_COLOR GL_CURRENT_INDEX GL_CURRENT_NORMAL
	       GL_CURRENT_RASTER_COLOR GL_CURRENT_RASTER_DISTANCE
	       GL_CURRENT_RASTER_INDEX GL_CURRENT_RASTER_POSITION
	       GL_CURRENT_RASTER_POSITION_VALID GL_CURRENT_TEXTURE_COORDS GL_CW
	       GL_DECAL GL_DEPTH_BIAS GL_DEPTH_BITS GL_DEPTH_BUFFER_BIT
	       GL_DEPTH_CLEAR_VALUE GL_DEPTH_FUNC GL_DEPTH_RANGE GL_DEPTH_SCALE
	       GL_DEPTH_TEST GL_DEPTH_WRITEMASK GL_DIFFUSE GL_DITHER
	       GL_DONT_CARE GL_DOUBLEBUFFER GL_DRAW_BUFFER GL_DST_ALPHA
	       GL_DST_COLOR GL_EDGE_FLAG GL_EDGE_FLAG_ARRAY
	       GL_EDGE_FLAG_ARRAY_STRIDE GL_EQUAL GL_EXP GL_EXP2 GL_EXTENSIONS
	       GL_EYE_LINEAR GL_FALSE GL_FASTEST GL_FILL GL_FLAT GL_FLOAT
	       GL_FOG GL_FOG_COLOR GL_FOG_DENSITY GL_FOG_END GL_FOG_HINT
	       GL_FOG_INDEX GL_FOG_MODE GL_FOG_START GL_FRONT GL_FRONT_AND_BACK
	       GL_FRONT_FACE GL_FRONT_LEFT GL_FRONT_RIGHT GL_GEQUAL GL_GREATER
	       GL_GREEN GL_GREEN_BIAS GL_GREEN_BITS GL_GREEN_SCALE
	       GL_INDEX_ARRAY GL_INDEX_ARRAY_STRIDE GL_INDEX_ARRAY_TYPE
	       GL_INDEX_BITS GL_INDEX_CLEAR_VALUE GL_INDEX_LOGIC_OP
	       GL_INDEX_MODE GL_INDEX_OFFSET GL_INDEX_SHIFT GL_INDEX_WRITEMASK
	       GL_INT GL_INTENSITY GL_INTENSITY12 GL_INTENSITY16 GL_INTENSITY4
	       GL_INTENSITY8 GL_LEFT GL_LEQUAL GL_LESS GL_LIGHT0 GL_LIGHT1
	       GL_LIGHT2 GL_LIGHT3 GL_LIGHT4 GL_LIGHT5 GL_LIGHT6 GL_LIGHT7
	       GL_LIGHTING GL_LIGHT_MODEL_AMBIENT GL_LIGHT_MODEL_LOCAL_VIEWER
	       GL_LIGHT_MODEL_TWO_SIDE GL_LINE GL_LINEAR GL_LINEAR_ATTENUATION
	       GL_LINEAR_MIPMAP_LINEAR GL_LINEAR_MIPMAP_NEAREST GL_LINES
	       GL_LINE_LOOP GL_LINE_SMOOTH GL_LINE_SMOOTH_HINT GL_LINE_STIPPLE
	       GL_LINE_STIPPLE_PATTERN GL_LINE_STIPPLE_REPEAT GL_LINE_STRIP
	       GL_LINE_WIDTH GL_LINE_WIDTH_GRANULARITY GL_LINE_WIDTH_RANGE
	       GL_LIST_BASE GL_LIST_INDEX GL_LIST_MODE GL_LOGIC_OP_MODE
	       GL_LUMINANCE GL_LUMINANCE12 GL_LUMINANCE12_ALPHA12
	       GL_LUMINANCE12_ALPHA4 GL_LUMINANCE16 GL_LUMINANCE16_ALPHA16
	       GL_LUMINANCE4 GL_LUMINANCE4_ALPHA4 GL_LUMINANCE6_ALPHA2
	       GL_LUMINANCE8 GL_LUMINANCE8_ALPHA8 GL_LUMINANCE_ALPHA
	       GL_MAP1_COLOR_4 GL_MAP1_GRID_DOMAIN GL_MAP1_GRID_SEGMENTS
	       GL_MAP1_INDEX GL_MAP1_NORMAL GL_MAP1_TEXTURE_COORD_1
	       GL_MAP1_TEXTURE_COORD_2 GL_MAP1_TEXTURE_COORD_3
	       GL_MAP1_TEXTURE_COORD_4 GL_MAP1_VERTEX_3 GL_MAP1_VERTEX_4
	       GL_MAP2_COLOR_4 GL_MAP2_GRID_DOMAIN GL_MAP2_GRID_SEGMENTS
	       GL_MAP2_INDEX GL_MAP2_NORMAL GL_MAP2_TEXTURE_COORD_1
	       GL_MAP2_TEXTURE_COORD_2 GL_MAP2_TEXTURE_COORD_3
	       GL_MAP2_TEXTURE_COORD_4 GL_MAP2_VERTEX_3 GL_MAP2_VERTEX_4
	       GL_MAP_COLOR GL_MAP_STENCIL GL_MATRIX_MODE
	       GL_MAX_ATTRIB_STACK_DEPTH GL_MAX_CLIENT_ATTRIB_STACK_DEPTH
	       GL_MAX_CLIP_PLANES GL_MAX_EVAL_ORDER GL_MAX_LIGHTS
	       GL_MAX_LIST_NESTING GL_MAX_MODELVIEW_STACK_DEPTH
	       GL_MAX_NAME_STACK_DEPTH GL_MAX_PIXEL_MAP_TABLE
	       GL_MAX_PROJECTION_STACK_DEPTH GL_MAX_TEXTURE_SIZE
	       GL_MAX_TEXTURE_STACK_DEPTH GL_MAX_VIEWPORT_DIMS GL_MODELVIEW
	       GL_MODELVIEW_MATRIX GL_MODELVIEW_STACK_DEPTH GL_MODULATE
	       GL_NAME_STACK_DEPTH GL_NEAREST GL_NEAREST_MIPMAP_LINEAR
	       GL_NEAREST_MIPMAP_NEAREST GL_NEVER GL_NICEST GL_NONE
	       GL_NORMALIZE GL_NORMAL_ARRAY GL_NORMAL_ARRAY_STRIDE
	       GL_NORMAL_ARRAY_TYPE GL_NOTEQUAL GL_OBJECT_LINEAR GL_ONE
	       GL_ONE_MINUS_DST_ALPHA GL_ONE_MINUS_DST_COLOR
	       GL_ONE_MINUS_SRC_ALPHA GL_ONE_MINUS_SRC_COLOR GL_PACK_ALIGNMENT
	       GL_PACK_IMAGE_HEIGHT GL_PACK_LENGTH GL_PACK_LSB_FIRST
	       GL_PACK_ROW_LENGTH GL_PACK_SKIP_IMAGES GL_PACK_SKIP_PIXELS
	       GL_PACK_SKIP_ROWS GL_PACK_SWAP_BYTES
	       GL_PERSPECTIVE_CORRECTION_HINT GL_PIXEL_MAP_A_TO_A_SIZE
	       GL_PIXEL_MAP_B_TO_B_SIZE GL_PIXEL_MAP_G_TO_G_SIZE
	       GL_PIXEL_MAP_I_TO_A_SIZE GL_PIXEL_MAP_I_TO_B_SIZE
	       GL_PIXEL_MAP_I_TO_G_SIZE GL_PIXEL_MAP_I_TO_I_SIZE
	       GL_PIXEL_MAP_I_TO_R_SIZE GL_PIXEL_MAP_R_TO_R_SIZE
	       GL_PIXEL_MAP_S_TO_S_SIZE GL_POINT GL_POINTS GL_POINT_SIZE
	       GL_POINT_SIZE_GRANULARITY GL_POINT_SIZE_RANGE GL_POINT_SMOOTH
	       GL_POINT_SMOOTH_HINT GL_POLYGON GL_POLYGON_MODE
	       GL_POLYGON_OFFSET_FACTOR GL_POLYGON_OFFSET_FILL
	       GL_POLYGON_OFFSET_LINE GL_POLYGON_OFFSET_POINT
	       GL_POLYGON_OFFSET_UNITS GL_POLYGON_SMOOTH GL_POLYGON_SMOOTH_HINT
	       GL_POLYGON_STIPPLE GL_POSITION GL_PROJECTION
	       GL_PROJECTION_MATRIX GL_PROJECTION_STACK_DEPTH
	       GL_PROXY_TEXTURE_2D GL_Q GL_QUADRATIC_ATTENUATION GL_QUADS
	       GL_QUAD_STRIP GL_R GL_R3_G3_B2 GL_READ_BUFFER GL_RED GL_RED_BIAS
	       GL_RED_BITS GL_RED_SCALE GL_REFLECTION_MAP GL_RENDERER
	       GL_RENDER_MODE GL_REPEAT GL_REPLACE GL_RGB GL_RGB10 GL_RGB10_A2
	       GL_RGB12 GL_RGB16 GL_RGB4 GL_RGB5 GL_RGB5_A1 GL_RGB8 GL_RGBA
	       GL_RGBA12 GL_RGBA16 GL_RGBA2 GL_RGBA4 GL_RGBA8 GL_RGBA_MODE
	       GL_RIGHT GL_S GL_SCISSOR_BOX GL_SCISSOR_TEST GL_SHADE_MODEL
	       GL_SHORT GL_SMOOTH GL_SPECULAR GL_SPHERE_MAP GL_SPOT_CUTOFF
	       GL_SPOT_DIRECTION GL_SPOT_EXPONENT GL_SRC_ALPHA
	       GL_SRC_ALPHA_SATURATE GL_SRC_COLOR GL_STENCIL_BITS
	       GL_STENCIL_BUFFER_BIT GL_STENCIL_CLEAR_VALUE GL_STENCIL_FAIL
	       GL_STENCIL_FUNC GL_STENCIL_PASS_DEPTH_FAIL
	       GL_STENCIL_PASS_DEPTH_PASS GL_STENCIL_REF GL_STENCIL_TEST
	       GL_STENCIL_VALUE_MASK GL_STENCIL_WRITEMASK GL_STEREO
	       GL_SUBPIXEL_BITS GL_T GL_TEXTURE GL_TEXTURE_1D GL_TEXTURE_2D
	       GL_TEXTURE_3D GL_TEXTURE_BORDER_COLOR GL_TEXTURE_COORD_ARRAY
	       GL_TEXTURE_COORD_ARRAY_SIZE GL_TEXTURE_COORD_ARRAY_STRIDE
	       GL_TEXTURE_COORD_ARRAY_TYPE GL_TEXTURE_CUBE_MAP GL_TEXTURE_ENV
	       GL_TEXTURE_ENV_COLOR GL_TEXTURE_ENV_MODE GL_TEXTURE_GEN_MODE
	       GL_TEXTURE_GEN_Q GL_TEXTURE_GEN_R GL_TEXTURE_GEN_S
	       GL_TEXTURE_GEN_T GL_TEXTURE_MAG_FILTER GL_TEXTURE_MATRIX
	       GL_TEXTURE_MIN_FILTER GL_TEXTURE_PRIORITY GL_TEXTURE_STACK_DEPTH
	       GL_TEXTURE_WRAP_R GL_TEXTURE_WRAP_S GL_TEXTURE_WRAP_T
	       GL_TRIANGLES GL_TRIANGLE_FAN GL_TRIANGLE_STRIP GL_TRUE
	       GL_UNPACK_ALIGNMENT GL_UNPACK_IMAGE_HEIGHT GL_UNPACK_LENGTH
	       GL_UNPACK_LSB_FIRST GL_UNPACK_ROW_LENGTH GL_UNPACK_SKIP_IMAGES
	       GL_UNPACK_SKIP_PIXELS GL_UNPACK_SKIP_ROWS GL_UNPACK_SWAP_BYTES
	       GL_UNSIGNED_BYTE GL_UNSIGNED_INT GL_UNSIGNED_SHORT GL_VENDOR
	       GL_VERSION GL_VERTEX_ARRAY GL_VERTEX_ARRAY_SIZE
	       GL_VERTEX_ARRAY_STRIDE GL_VERTEX_ARRAY_TYPE GL_VIEWPORT GL_ZERO
	       GL_ZOOM_X GL_ZOOM_Y));

print constant_types(); # macro defs
foreach (C_constant ("OpenGL::Simple", 'constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "#### XS Section:\n";
print XS_constant ("OpenGL::Simple", $types);
__END__
   */

  switch (len) {
  case 4:
    return constant_4 (aTHX_ name, iv_return);
    break;
  case 5:
    if (memEQ(name, "GL_CW", 5)) {
#ifdef GL_CW
      *iv_return = GL_CW;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 6:
    return constant_6 (aTHX_ name, iv_return);
    break;
  case 7:
    return constant_7 (aTHX_ name, iv_return);
    break;
  case 8:
    return constant_8 (aTHX_ name, iv_return);
    break;
  case 9:
    return constant_9 (aTHX_ name, iv_return);
    break;
  case 10:
    return constant_10 (aTHX_ name, iv_return);
    break;
  case 11:
    return constant_11 (aTHX_ name, iv_return);
    break;
  case 12:
    return constant_12 (aTHX_ name, iv_return);
    break;
  case 13:
    return constant_13 (aTHX_ name, iv_return);
    break;
  case 14:
    return constant_14 (aTHX_ name, iv_return);
    break;
  case 15:
    return constant_15 (aTHX_ name, iv_return);
    break;
  case 16:
    return constant_16 (aTHX_ name, iv_return);
    break;
  case 17:
    return constant_17 (aTHX_ name, iv_return);
    break;
  case 18:
    return constant_18 (aTHX_ name, iv_return);
    break;
  case 19:
    return constant_19 (aTHX_ name, iv_return);
    break;
  case 20:
    return constant_20 (aTHX_ name, iv_return);
    break;
  case 21:
    return constant_21 (aTHX_ name, iv_return);
    break;
  case 22:
    return constant_22 (aTHX_ name, iv_return);
    break;
  case 23:
    return constant_23 (aTHX_ name, iv_return);
    break;
  case 24:
    return constant_24 (aTHX_ name, iv_return);
    break;
  case 25:
    return constant_25 (aTHX_ name, iv_return);
    break;
  case 26:
    return constant_26 (aTHX_ name, iv_return);
    break;
  case 27:
    return constant_27 (aTHX_ name, iv_return);
    break;
  case 28:
    /* Names all of length 28.  */
    /* GL_CLIENT_ATTRIB_STACK_DEPTH GL_MAX_MODELVIEW_STACK_DEPTH */
    /* Offset 7 gives the best switch position.  */
    switch (name[7]) {
    case 'M':
      if (memEQ(name, "GL_MAX_MODELVIEW_STACK_DEPTH", 28)) {
      /*                      ^                           */
#ifdef GL_MAX_MODELVIEW_STACK_DEPTH
        *iv_return = GL_MAX_MODELVIEW_STACK_DEPTH;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'N':
      if (memEQ(name, "GL_CLIENT_ATTRIB_STACK_DEPTH", 28)) {
      /*                      ^                           */
#ifdef GL_CLIENT_ATTRIB_STACK_DEPTH
        *iv_return = GL_CLIENT_ATTRIB_STACK_DEPTH;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 29:
    /* Names all of length 29.  */
    /* GL_MAX_PROJECTION_STACK_DEPTH GL_TEXTURE_COORD_ARRAY_STRIDE */
    /* Offset 18 gives the best switch position.  */
    switch (name[18]) {
    case 'R':
      if (memEQ(name, "GL_TEXTURE_COORD_ARRAY_STRIDE", 29)) {
      /*                                 ^                 */
#ifdef GL_TEXTURE_COORD_ARRAY_STRIDE
        *iv_return = GL_TEXTURE_COORD_ARRAY_STRIDE;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'S':
      if (memEQ(name, "GL_MAX_PROJECTION_STACK_DEPTH", 29)) {
      /*                                 ^                 */
#ifdef GL_MAX_PROJECTION_STACK_DEPTH
        *iv_return = GL_MAX_PROJECTION_STACK_DEPTH;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  case 30:
    if (memEQ(name, "GL_PERSPECTIVE_CORRECTION_HINT", 30)) {
#ifdef GL_PERSPECTIVE_CORRECTION_HINT
      *iv_return = GL_PERSPECTIVE_CORRECTION_HINT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 32:
    /* Names all of length 32.  */
    /* GL_CURRENT_RASTER_POSITION_VALID GL_MAX_CLIENT_ATTRIB_STACK_DEPTH */
    /* Offset 7 gives the best switch position.  */
    switch (name[7]) {
    case 'C':
      if (memEQ(name, "GL_MAX_CLIENT_ATTRIB_STACK_DEPTH", 32)) {
      /*                      ^                               */
#ifdef GL_MAX_CLIENT_ATTRIB_STACK_DEPTH
        *iv_return = GL_MAX_CLIENT_ATTRIB_STACK_DEPTH;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "GL_CURRENT_RASTER_POSITION_VALID", 32)) {
      /*                      ^                               */
#ifdef GL_CURRENT_RASTER_POSITION_VALID
        *iv_return = GL_CURRENT_RASTER_POSITION_VALID;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}

